!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 13:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1076)
  integer, parameter :: nGC_10 = 1
  integer, parameter :: nGC_12 = 2
  integer, parameter :: nGC_3 = 3
  integer, parameter :: nGC_5 = 4
  integer, parameter :: nGC_25 = 5
  integer, parameter :: nGC_18 = 6
  integer, parameter :: nGC_29 = 7
  integer, parameter :: nGC_19 = 8
  integer, parameter :: nGC_4 = 9
  integer, parameter :: nGC_16 = 10
  integer, parameter :: nGC_30 = 11
  integer, parameter :: nGC_31 = 12
  integer, parameter :: nGC_43 = 13
  integer, parameter :: nGC_24 = 14
  integer, parameter :: nGC_32 = 15
  integer, parameter :: nGC_33 = 16
  integer, parameter :: nGC_44 = 17
  integer, parameter :: nGC_15 = 18
  integer, parameter :: nGC_13 = 19
  integer, parameter :: nGC_14 = 20
  integer, parameter :: nGC_3486 = 21
  integer, parameter :: nGC_48 = 22
  integer, parameter :: nGC_49 = 23
  integer, parameter :: nGC_6 = 24
  integer, parameter :: nGC_28 = 25
  integer, parameter :: nGC_27 = 26
  integer, parameter :: nGC_51 = 27
  integer, parameter :: nGC_22 = 28
  integer, parameter :: nGC_21 = 29
  integer, parameter :: nGC_26 = 30
  integer, parameter :: nGC_20 = 31
  integer, parameter :: nGC_17 = 32
  integer, parameter :: nGC_50 = 33
  integer, parameter :: nGC_42 = 34
  integer, parameter :: nGC_37 = 35
  integer, parameter :: nGC_40 = 36
  integer, parameter :: nGC_9 = 37
  integer, parameter :: nGC_8 = 38
  integer, parameter :: nGC_47 = 39
  integer, parameter :: nGC_7 = 40
  integer, parameter :: nGC_46 = 41
  integer, parameter :: nGC_45 = 42
  integer, parameter :: nGC_52 = 43
  integer, parameter :: nGC_2 = 44
  integer, parameter :: nGC_1 = 45
  integer, parameter :: nGC_11 = 46
  integer, parameter :: nGC_23 = 47
  integer, parameter :: nGC_35 = 48
  integer, parameter :: nGC_39 = 49
  integer, parameter :: nGC_34 = 50
  integer, parameter :: nGC_38 = 51
  integer, parameter :: nGC_41 = 52
  integer, parameter :: nGC_36 = 53
  integer, parameter :: nGC_85 = 54
  integer, parameter :: nGC_61 = 55
  integer, parameter :: nGC_57 = 56
  integer, parameter :: nGC_73 = 57
  integer, parameter :: nGC_77 = 58
  integer, parameter :: nGC_53 = 59
  integer, parameter :: nGC_3531 = 60
  integer, parameter :: nGC_64 = 61
  integer, parameter :: nGC_62 = 62
  integer, parameter :: nGC_76 = 63
  integer, parameter :: nGC_74 = 64
  integer, parameter :: nGC_56 = 65
  integer, parameter :: nGC_54 = 66
  integer, parameter :: nGC_63 = 67
  integer, parameter :: nGC_75 = 68
  integer, parameter :: nGC_55 = 69
  integer, parameter :: nGC_65 = 70
  integer, parameter :: nGC_3562 = 71
  integer, parameter :: nGC_69 = 72
  integer, parameter :: nGC_3563 = 73
  integer, parameter :: nGC_81 = 74
  integer, parameter :: nGC_3564 = 75
  integer, parameter :: nGC_68 = 76
  integer, parameter :: nGC_66 = 77
  integer, parameter :: nGC_72 = 78
  integer, parameter :: nGC_70 = 79
  integer, parameter :: nGC_84 = 80
  integer, parameter :: nGC_82 = 81
  integer, parameter :: nGC_67 = 82
  integer, parameter :: nGC_71 = 83
  integer, parameter :: nGC_83 = 84
  integer, parameter :: nGC_86 = 85
  integer, parameter :: nGC_88 = 86
  integer, parameter :: nGC_58 = 87
  integer, parameter :: nGC_60 = 88
  integer, parameter :: nGC_78 = 89
  integer, parameter :: nGC_80 = 90
  integer, parameter :: nGC_87 = 91
  integer, parameter :: nGC_59 = 92
  integer, parameter :: nGC_79 = 93
  integer, parameter :: nGC_3595 = 94
  integer, parameter :: nGC_MH = 95
  integer, parameter :: nGC_I = 96
  integer, parameter :: nGC_MI = 97
  integer, parameter :: nGC_3598 = 98
  integer, parameter :: nGC_ME = 99
  integer, parameter :: nGC_3599 = 100
  integer, parameter :: nGC_MM = 101
  integer, parameter :: nGC_3600 = 102
  integer, parameter :: nGC_MTA = 103
  integer, parameter :: nGC_MU = 104
  integer, parameter :: nGC_MC = 105
  integer, parameter :: nGC_3605 = 106
  integer, parameter :: nGC_MT = 107
  integer, parameter :: nGC_MD = 108
  integer, parameter :: nGC_MS = 109
  integer, parameter :: nGC_MB = 110
  integer, parameter :: nGC_3612 = 111
  integer, parameter :: nGC_MZ = 112
  integer, parameter :: nGC_3613 = 113
  integer, parameter :: nGC_MW = 114
  integer, parameter :: nGC_MW_GF = 115
  integer, parameter :: nGC_MMW_GF = 116
  integer, parameter :: nGC_MZ_GF = 117
  integer, parameter :: nGC_GG = 118
  integer, parameter :: nGC_GGH = 119
  integer, parameter :: nGC_HHH = 120
  integer, parameter :: nGC_HHGG = 121
  integer, parameter :: nGC_HHHH = 122
  integer, parameter :: nGC_GPGMGPGM = 123
  integer, parameter :: nGC_164 = 124
  integer, parameter :: nGC_168 = 125
  integer, parameter :: nGC_170 = 126
  integer, parameter :: nGC_184 = 127
  integer, parameter :: nGC_190 = 128
  integer, parameter :: nGC_194 = 129
  integer, parameter :: nGC_198 = 130
  integer, parameter :: nGC_202 = 131
  integer, parameter :: nGC_206 = 132
  integer, parameter :: nGC_220 = 133
  integer, parameter :: nGC_226 = 134
  integer, parameter :: nGC_256 = 135
  integer, parameter :: nGC_1114 = 136
  integer, parameter :: nGC_1126 = 137
  integer, parameter :: nGC_1250 = 138
  integer, parameter :: nGC_1410 = 139
  integer, parameter :: nGC_1422 = 140
  integer, parameter :: nGC_4883 = 141
  integer, parameter :: nGC_4891 = 142
  integer, parameter :: nGC_4909 = 143
  integer, parameter :: nGC_5113 = 144
  integer, parameter :: nGC_5153 = 145
  integer, parameter :: nGC_5161 = 146
  integer, parameter :: nGC_5168 = 147
  integer, parameter :: nGC_5169 = 148
  integer, parameter :: nGC_5173 = 149
  integer, parameter :: nGC_5188 = 150
  integer, parameter :: nGC_5189 = 151
  integer, parameter :: nGC_5207 = 152
  integer, parameter :: nGC_5208 = 153
  integer, parameter :: nGC_5220 = 154
  integer, parameter :: nGC_5223 = 155
  integer, parameter :: nGC_5221 = 156
  integer, parameter :: nGC_5224 = 157
  integer, parameter :: nGC_5222 = 158
  integer, parameter :: nGC_5225 = 159
  integer, parameter :: nGC_5231 = 160
  integer, parameter :: nGC_5235 = 161
  integer, parameter :: nGC_5239 = 162
  integer, parameter :: nGC_5234 = 163
  integer, parameter :: nGC_5238 = 164
  integer, parameter :: nGC_5244 = 165
  integer, parameter :: nGC_5247 = 166
  integer, parameter :: nGC_5245 = 167
  integer, parameter :: nGC_5248 = 168
  integer, parameter :: nGC_5255 = 169
  integer, parameter :: nGC_5259 = 170
  integer, parameter :: nGC_5256 = 171
  integer, parameter :: nGC_5260 = 172
  integer, parameter :: nGC_5267 = 173
  integer, parameter :: nGC_5268 = 174
  integer, parameter :: nGC_5281 = 175
  integer, parameter :: nGC_5284 = 176
  integer, parameter :: nGC_5280 = 177
  integer, parameter :: nGC_5283 = 178
  integer, parameter :: nGC_5282 = 179
  integer, parameter :: nGC_5285 = 180
  integer, parameter :: nGC_5291 = 181
  integer, parameter :: nGC_5294 = 182
  integer, parameter :: nGC_5298 = 183
  integer, parameter :: nGC_5295 = 184
  integer, parameter :: nGC_5299 = 185
  integer, parameter :: nGC_5305 = 186
  integer, parameter :: nGC_5308 = 187
  integer, parameter :: nGC_5304 = 188
  integer, parameter :: nGC_5307 = 189
  integer, parameter :: nGC_5316 = 190
  integer, parameter :: nGC_5320 = 191
  integer, parameter :: nGC_5315 = 192
  integer, parameter :: nGC_5319 = 193
  integer, parameter :: nGC_5321 = 194
  integer, parameter :: nGC_5324 = 195
  integer, parameter :: nGC_5322 = 196
  integer, parameter :: nGC_5325 = 197
  integer, parameter :: nGC_5332 = 198
  integer, parameter :: nGC_5336 = 199
  integer, parameter :: nGC_5333 = 200
  integer, parameter :: nGC_5337 = 201
  integer, parameter :: nGC_5338 = 202
  integer, parameter :: nGC_5340 = 203
  integer, parameter :: nGC_5339 = 204
  integer, parameter :: nGC_5341 = 205
  integer, parameter :: nGC_5353 = 206
  integer, parameter :: nGC_5355 = 207
  integer, parameter :: nGC_5354 = 208
  integer, parameter :: nGC_5356 = 209
  integer, parameter :: nGC_5368 = 210
  integer, parameter :: nGC_5370 = 211
  integer, parameter :: nGC_5367 = 212
  integer, parameter :: nGC_5369 = 213
  integer, parameter :: nGC_5381 = 214
  integer, parameter :: nGC_5383 = 215
  integer, parameter :: nGC_5382 = 216
  integer, parameter :: nGC_5384 = 217
  integer, parameter :: nGC_5396 = 218
  integer, parameter :: nGC_5398 = 219
  integer, parameter :: nGC_5395 = 220
  integer, parameter :: nGC_5397 = 221
  integer, parameter :: nGC_5412 = 222
  integer, parameter :: nGC_5411 = 223
  integer, parameter :: nGC_5416 = 224
  integer, parameter :: nGC_5417 = 225
  integer, parameter :: nGC_5421 = 226
  integer, parameter :: nGC_5420 = 227
  integer, parameter :: nGC_5453 = 228
  integer, parameter :: nGC_3520 = 229
  integer, parameter :: nGC_3523 = 230
  integer, parameter :: nGC_3526 = 231
  integer, parameter :: nGC_3529 = 232
  integer, parameter :: nGC_5500 = 233
  integer, parameter :: nGC_5492 = 234
  integer, parameter :: nGC_5491 = 235
  integer, parameter :: nGC_5549 = 236
  integer, parameter :: nGC_5548 = 237
  integer, parameter :: nGC_5560 = 238
  integer, parameter :: nGC_5559 = 239
  integer, parameter :: nGC_5570 = 240
  integer, parameter :: nGC_5571 = 241
  integer, parameter :: nGC_5581 = 242
  integer, parameter :: nGC_5584 = 243
  integer, parameter :: nGC_5587 = 244
  integer, parameter :: nGC_5607 = 245
  integer, parameter :: nGC_5613 = 246
  integer, parameter :: nGC_5619 = 247
  integer, parameter :: nGC_5691 = 248
  integer, parameter :: nGC_5690 = 249
  integer, parameter :: nGC_5701 = 250
  integer, parameter :: nGC_5702 = 251
  integer, parameter :: nGC_5711 = 252
  integer, parameter :: nGC_5725 = 253
  integer, parameter :: nGC_5724 = 254
  integer, parameter :: nGC_5726 = 255
  integer, parameter :: nGC_5727 = 256
  integer, parameter :: nGC_5728 = 257
  integer, parameter :: nGC_5729 = 258
  integer, parameter :: nGC_5730 = 259
  integer, parameter :: nGC_5731 = 260
  integer, parameter :: nGC_5734 = 261
  integer, parameter :: nGC_5735 = 262
  integer, parameter :: nGC_5736 = 263
  integer, parameter :: nGC_5737 = 264
  integer, parameter :: nGC_5740 = 265
  integer, parameter :: nGC_5741 = 266
  integer, parameter :: nGC_5742 = 267
  integer, parameter :: nGC_5743 = 268
  integer, parameter :: nGC_5746 = 269
  integer, parameter :: nGC_5747 = 270
  integer, parameter :: nGC_5748 = 271
  integer, parameter :: nGC_5749 = 272
  integer, parameter :: nGC_3601 = 273
  integer, parameter :: nGC_5754 = 274
  integer, parameter :: nGC_5756 = 275
  integer, parameter :: nGC_5758 = 276
  integer, parameter :: nGC_5760 = 277
  integer, parameter :: nGC_3602 = 278
  integer, parameter :: nGC_5755 = 279
  integer, parameter :: nGC_5757 = 280
  integer, parameter :: nGC_5759 = 281
  integer, parameter :: nGC_5761 = 282
  integer, parameter :: nGC_3603 = 283
  integer, parameter :: nGC_5766 = 284
  integer, parameter :: nGC_5768 = 285
  integer, parameter :: nGC_5770 = 286
  integer, parameter :: nGC_5772 = 287
  integer, parameter :: nGC_3604 = 288
  integer, parameter :: nGC_5767 = 289
  integer, parameter :: nGC_5769 = 290
  integer, parameter :: nGC_5771 = 291
  integer, parameter :: nGC_5773 = 292
  integer, parameter :: nGC_5776 = 293
  integer, parameter :: nGC_5777 = 294
  integer, parameter :: nGC_5778 = 295
  integer, parameter :: nGC_5779 = 296
  integer, parameter :: nGC_3606 = 297
  integer, parameter :: nGC_5784 = 298
  integer, parameter :: nGC_5786 = 299
  integer, parameter :: nGC_5788 = 300
  integer, parameter :: nGC_5790 = 301
  integer, parameter :: nGC_3607 = 302
  integer, parameter :: nGC_5785 = 303
  integer, parameter :: nGC_5787 = 304
  integer, parameter :: nGC_5789 = 305
  integer, parameter :: nGC_5791 = 306
  integer, parameter :: nGC_3608 = 307
  integer, parameter :: nGC_5796 = 308
  integer, parameter :: nGC_5798 = 309
  integer, parameter :: nGC_5800 = 310
  integer, parameter :: nGC_5802 = 311
  integer, parameter :: nGC_3609 = 312
  integer, parameter :: nGC_5797 = 313
  integer, parameter :: nGC_5799 = 314
  integer, parameter :: nGC_5801 = 315
  integer, parameter :: nGC_5803 = 316
  integer, parameter :: nGC_3610 = 317
  integer, parameter :: nGC_5808 = 318
  integer, parameter :: nGC_5810 = 319
  integer, parameter :: nGC_5812 = 320
  integer, parameter :: nGC_5814 = 321
  integer, parameter :: nGC_3611 = 322
  integer, parameter :: nGC_5809 = 323
  integer, parameter :: nGC_5811 = 324
  integer, parameter :: nGC_5813 = 325
  integer, parameter :: nGC_5815 = 326
  integer, parameter :: nGC_5816 = 327
  integer, parameter :: nGC_5817 = 328
  integer, parameter :: nGC_5818 = 329
  integer, parameter :: nGC_5819 = 330
  integer, parameter :: nGC_5820 = 331
  integer, parameter :: nGC_5824 = 332
  integer, parameter :: nGC_5823 = 333
  integer, parameter :: nGC_5825 = 334
  integer, parameter :: nGC_5832 = 335
  integer, parameter :: nGC_5831 = 336
  integer, parameter :: nGC_5833 = 337
  integer, parameter :: nGC_5834 = 338
  integer, parameter :: nGC_5835 = 339
  integer, parameter :: nGC_5846 = 340
  integer, parameter :: nGC_7277 = 341
  integer, parameter :: nGC_3213 = 342
  integer, parameter :: nGC_3215 = 343
  integer, parameter :: nGC_3216 = 344
  integer, parameter :: nGC_3214 = 345
  integer, parameter :: nGC_3217 = 346
  integer, parameter :: nGC_3218 = 347
  integer, parameter :: nGC_3219 = 348
  integer, parameter :: nGC_3220 = 349
  integer, parameter :: nGC_3221 = 350
  integer, parameter :: nGC_3222 = 351
  integer, parameter :: nGC_3223 = 352
  integer, parameter :: nGC_3224 = 353
  integer, parameter :: nGC_3225 = 354
  integer, parameter :: nGC_3226 = 355
  integer, parameter :: nGC_3227 = 356
  integer, parameter :: nGC_3228 = 357
  integer, parameter :: nGC_3229 = 358
  integer, parameter :: nGC_3230 = 359
  integer, parameter :: nGC_3231 = 360
  integer, parameter :: nGC_3232 = 361
  integer, parameter :: nGC_3233 = 362
  integer, parameter :: nGC_3234 = 363
  integer, parameter :: nGC_3235 = 364
  integer, parameter :: nGC_3236 = 365
  integer, parameter :: nGC_3238 = 366
  integer, parameter :: nGC_3239 = 367
  integer, parameter :: nGC_3237 = 368
  integer, parameter :: nGC_3240 = 369
  integer, parameter :: nGC_3241 = 370
  integer, parameter :: nGC_3242 = 371
  integer, parameter :: nGC_3243 = 372
  integer, parameter :: nGC_3244 = 373
  integer, parameter :: nGC_3245 = 374
  integer, parameter :: nGC_3246 = 375
  integer, parameter :: nGC_3247 = 376
  integer, parameter :: nGC_3248 = 377
  integer, parameter :: nGC_3249 = 378
  integer, parameter :: nGC_3250 = 379
  integer, parameter :: nGC_3251 = 380
  integer, parameter :: nGC_3252 = 381
  integer, parameter :: nGC_3253 = 382
  integer, parameter :: nGC_3254 = 383
  integer, parameter :: nGC_3255 = 384
  integer, parameter :: nGC_3256 = 385
  integer, parameter :: nGC_3257 = 386
  integer, parameter :: nGC_3258 = 387
  integer, parameter :: nGC_3259 = 388
  integer, parameter :: nGC_3260 = 389
  integer, parameter :: nGC_3261 = 390
  integer, parameter :: nGC_3262 = 391
  integer, parameter :: nGC_3263 = 392
  integer, parameter :: nGC_3264 = 393
  integer, parameter :: nGC_9704 = 394
  integer, parameter :: nGC_3265 = 395
  integer, parameter :: nGC_9711 = 396
  integer, parameter :: nGC_3266 = 397
  integer, parameter :: nGC_9717 = 398
  integer, parameter :: nGC_3267 = 399
  integer, parameter :: nGC_3268 = 400
  integer, parameter :: nGC_3269 = 401
  integer, parameter :: nGC_3270 = 402
  integer, parameter :: nGC_3271 = 403
  integer, parameter :: nGC_3272 = 404
  integer, parameter :: nGC_3273 = 405
  integer, parameter :: nGC_3274 = 406
  integer, parameter :: nGC_3275 = 407
  integer, parameter :: nGC_3276 = 408
  integer, parameter :: nGC_3277 = 409
  integer, parameter :: nGC_3278 = 410
  integer, parameter :: nGC_3279 = 411
  integer, parameter :: nGC_3280 = 412
  integer, parameter :: nGC_3281 = 413
  integer, parameter :: nGC_3282 = 414
  integer, parameter :: nGC_3283 = 415
  integer, parameter :: nGC_3284 = 416
  integer, parameter :: nGC_3285 = 417
  integer, parameter :: nGC_3286 = 418
  integer, parameter :: nGC_3287 = 419
  integer, parameter :: nGC_3288 = 420
  integer, parameter :: nGC_3289 = 421
  integer, parameter :: nGC_9872 = 422
  integer, parameter :: nGC_3290 = 423
  integer, parameter :: nGC_3291 = 424
  integer, parameter :: nGC_9885 = 425
  integer, parameter :: nGC_3292 = 426
  integer, parameter :: nGC_9892 = 427
  integer, parameter :: nGC_3293 = 428
  integer, parameter :: nGC_3294 = 429
  integer, parameter :: nGC_3295 = 430
  integer, parameter :: nGC_3296 = 431
  integer, parameter :: nGC_3298 = 432
  integer, parameter :: nGC_3297 = 433
  integer, parameter :: nGC_3299 = 434
  integer, parameter :: nGC_3300 = 435
  integer, parameter :: nGC_3302 = 436
  integer, parameter :: nGC_3301 = 437
  integer, parameter :: nGC_3303 = 438
  integer, parameter :: nGC_3304 = 439
  integer, parameter :: nGC_3305 = 440
  integer, parameter :: nGC_3306 = 441
  integer, parameter :: nGC_3307 = 442
  integer, parameter :: nGC_9983 = 443
  integer, parameter :: nGC_3308 = 444
  integer, parameter :: nGC_9989 = 445
  integer, parameter :: nGC_3309 = 446
  integer, parameter :: nGC_3310 = 447
  integer, parameter :: nGC_3311 = 448
  integer, parameter :: nGC_3312 = 449
  integer, parameter :: nGC_3313 = 450
  integer, parameter :: nGC_3314 = 451
  integer, parameter :: nGC_3315 = 452
  integer, parameter :: nGC_3316 = 453
  integer, parameter :: nGC_3317 = 454
  integer, parameter :: nGC_3318 = 455
  integer, parameter :: nGC_3319 = 456
  integer, parameter :: nGC_3320 = 457
  integer, parameter :: nGC_10083 = 458
  integer, parameter :: nGC_3321 = 459
  integer, parameter :: nGC_3323 = 460
  integer, parameter :: nGC_3322 = 461
  integer, parameter :: nGC_3324 = 462
  integer, parameter :: nGC_3325 = 463
  integer, parameter :: nGC_3327 = 464
  integer, parameter :: nGC_3326 = 465
  integer, parameter :: nGC_3328 = 466
  integer, parameter :: nGC_3329 = 467
  integer, parameter :: nGC_3331 = 468
  integer, parameter :: nGC_3330 = 469
  integer, parameter :: nGC_3332 = 470
  integer, parameter :: nGC_3333 = 471
  integer, parameter :: nGC_3334 = 472
  integer, parameter :: nGC_3335 = 473
  integer, parameter :: nGC_3336 = 474
  integer, parameter :: nGC_3337 = 475
  integer, parameter :: nGC_3339 = 476
  integer, parameter :: nGC_3338 = 477
  integer, parameter :: nGC_3340 = 478
  integer, parameter :: nGC_3341 = 479
  integer, parameter :: nGC_3342 = 480
  integer, parameter :: nGC_3343 = 481
  integer, parameter :: nGC_3344 = 482
  integer, parameter :: nGC_3345 = 483
  integer, parameter :: nGC_3347 = 484
  integer, parameter :: nGC_3346 = 485
  integer, parameter :: nGC_3348 = 486
  integer, parameter :: nGC_3349 = 487
  integer, parameter :: nGC_3350 = 488
  integer, parameter :: nGC_3351 = 489
  integer, parameter :: nGC_3352 = 490
  integer, parameter :: nGC_3353 = 491
  integer, parameter :: nGC_3354 = 492
  integer, parameter :: nGC_3355 = 493
  integer, parameter :: nGC_3356 = 494
  integer, parameter :: nGC_3357 = 495
  integer, parameter :: nGC_3358 = 496
  integer, parameter :: nGC_3359 = 497
  integer, parameter :: nGC_3360 = 498
  integer, parameter :: nGC_3361 = 499
  integer, parameter :: nGC_3362 = 500
  integer, parameter :: nGC_3363 = 501
  integer, parameter :: nGC_3364 = 502
  integer, parameter :: nGC_3365 = 503
  integer, parameter :: nGC_3366 = 504
  integer, parameter :: nGC_3367 = 505
  integer, parameter :: nGC_3368 = 506
  integer, parameter :: nGC_3369 = 507
  integer, parameter :: nGC_3370 = 508
  integer, parameter :: nGC_3371 = 509
  integer, parameter :: nGC_3372 = 510
  integer, parameter :: nGC_3373 = 511
  integer, parameter :: nGC_3374 = 512
  integer, parameter :: nGC_3375 = 513
  integer, parameter :: nGC_3376 = 514
  integer, parameter :: nGC_3377 = 515
  integer, parameter :: nGC_3378 = 516
  integer, parameter :: nGC_10418 = 517
  integer, parameter :: nGC_3379 = 518
  integer, parameter :: nGC_3380 = 519
  integer, parameter :: nGC_3381 = 520
  integer, parameter :: nGC_3382 = 521
  integer, parameter :: nGC_3383 = 522
  integer, parameter :: nGC_3385 = 523
  integer, parameter :: nGC_3384 = 524
  integer, parameter :: nGC_3386 = 525
  integer, parameter :: nGC_3387 = 526
  integer, parameter :: nGC_3389 = 527
  integer, parameter :: nGC_3388 = 528
  integer, parameter :: nGC_3390 = 529
  integer, parameter :: nGC_3391 = 530
  integer, parameter :: nGC_3392 = 531
  integer, parameter :: nGC_3393 = 532
  integer, parameter :: nGC_3394 = 533
  integer, parameter :: nGC_3395 = 534
  integer, parameter :: nGC_3396 = 535
  integer, parameter :: nGC_3397 = 536
  integer, parameter :: nGC_3398 = 537
  integer, parameter :: nGC_3399 = 538
  integer, parameter :: nGC_3400 = 539
  integer, parameter :: nGC_3401 = 540
  integer, parameter :: nGC_3402 = 541
  integer, parameter :: nGC_3403 = 542
  integer, parameter :: nGC_3404 = 543
  integer, parameter :: nGC_3405 = 544
  integer, parameter :: nGC_3406 = 545
  integer, parameter :: nGC_3407 = 546
  integer, parameter :: nGC_3408 = 547
  integer, parameter :: nGC_3409 = 548
  integer, parameter :: nGC_3410 = 549
  integer, parameter :: nGC_3411 = 550
  integer, parameter :: nGC_3412 = 551
  integer, parameter :: nGC_3413 = 552
  integer, parameter :: nGC_3414 = 553
  integer, parameter :: nGC_3415 = 554
  integer, parameter :: nGC_3416 = 555
  integer, parameter :: nGC_3417 = 556
  integer, parameter :: nGC_3418 = 557
  integer, parameter :: nGC_3419 = 558
  integer, parameter :: nGC_3420 = 559
  integer, parameter :: nGC_3421 = 560
  integer, parameter :: nGC_3422 = 561
  integer, parameter :: nGC_3423 = 562
  integer, parameter :: nGC_3424 = 563
  integer, parameter :: nGC_3425 = 564
  integer, parameter :: nGC_3426 = 565
  integer, parameter :: nGC_3427 = 566
  integer, parameter :: nGC_3428 = 567
  integer, parameter :: nGC_3429 = 568
  integer, parameter :: nGC_3430 = 569
  integer, parameter :: nGC_3431 = 570
  integer, parameter :: nGC_3432 = 571
  integer, parameter :: nGC_3433 = 572
  integer, parameter :: nGC_3434 = 573
  integer, parameter :: nGC_3435 = 574
  integer, parameter :: nGC_3436 = 575
  integer, parameter :: nGC_3437 = 576
  integer, parameter :: nGC_3438 = 577
  integer, parameter :: nGC_10907 = 578
  integer, parameter :: nGC_3439 = 579
  integer, parameter :: nGC_10909 = 580
  integer, parameter :: nGC_3440 = 581
  integer, parameter :: nGC_3441 = 582
  integer, parameter :: nGC_3442 = 583
  integer, parameter :: nGC_3443 = 584
  integer, parameter :: nGC_3444 = 585
  integer, parameter :: nGC_3445 = 586
  integer, parameter :: nGC_3446 = 587
  integer, parameter :: nGC_3447 = 588
  integer, parameter :: nGC_3448 = 589
  integer, parameter :: nGC_3449 = 590
  integer, parameter :: nGC_3450 = 591
  integer, parameter :: nGC_3451 = 592
  integer, parameter :: nGC_3452 = 593
  integer, parameter :: nGC_3453 = 594
  integer, parameter :: nGC_3454 = 595
  integer, parameter :: nGC_3455 = 596
  integer, parameter :: nGC_3456 = 597
  integer, parameter :: nGC_11054 = 598
  integer, parameter :: nGC_3457 = 599
  integer, parameter :: nGC_3458 = 600
  integer, parameter :: nGC_3459 = 601
  integer, parameter :: nGC_11061 = 602
  integer, parameter :: nGC_3460 = 603
  integer, parameter :: nGC_3461 = 604
  integer, parameter :: nGC_3462 = 605
  integer, parameter :: nGC_3463 = 606
  integer, parameter :: nGC_3464 = 607
  integer, parameter :: nGC_3465 = 608
  integer, parameter :: nGC_3466 = 609
  integer, parameter :: nGC_3072 = 610
  integer, parameter :: nGC_3076 = 611
  integer, parameter :: nGC_3170 = 612
  integer, parameter :: nGC_3204 = 613
  integer, parameter :: nGC_3119 = 614
  integer, parameter :: nGC_3120 = 615
  integer, parameter :: nGC_3121 = 616
  integer, parameter :: nGC_3097 = 617
  integer, parameter :: nGC_3098 = 618
  integer, parameter :: nGC_3130 = 619
  integer, parameter :: nGC_3132 = 620
  integer, parameter :: nGC_3131 = 621
  integer, parameter :: nGC_3102 = 622
  integer, parameter :: nGC_3100 = 623
  integer, parameter :: nGC_3101 = 624
  integer, parameter :: nGC_3191 = 625
  integer, parameter :: nGC_3094 = 626
  integer, parameter :: nGC_3093 = 627
  integer, parameter :: nGC_3145 = 628
  integer, parameter :: nGC_3144 = 629
  integer, parameter :: nGC_3143 = 630
  integer, parameter :: nGC_3140 = 631
  integer, parameter :: nGC_3142 = 632
  integer, parameter :: nGC_3141 = 633
  integer, parameter :: nGC_3186 = 634
  integer, parameter :: nGC_3187 = 635
  integer, parameter :: nGC_3189 = 636
  integer, parameter :: nGC_3188 = 637
  integer, parameter :: nGC_3117 = 638
  integer, parameter :: nGC_3115 = 639
  integer, parameter :: nGC_3116 = 640
  integer, parameter :: nGC_3136 = 641
  integer, parameter :: nGC_3138 = 642
  integer, parameter :: nGC_3137 = 643
  integer, parameter :: nGC_3147 = 644
  integer, parameter :: nGC_3149 = 645
  integer, parameter :: nGC_3148 = 646
  integer, parameter :: nGC_3196 = 647
  integer, parameter :: nGC_3197 = 648
  integer, parameter :: nGC_3198 = 649
  integer, parameter :: nGC_3199 = 650
  integer, parameter :: nGC_3084 = 651
  integer, parameter :: nGC_3081 = 652
  integer, parameter :: nGC_3209 = 653
  integer, parameter :: nGC_3210 = 654
  integer, parameter :: nGC_3086 = 655
  integer, parameter :: nGC_3085 = 656
  integer, parameter :: nGC_3205 = 657
  integer, parameter :: nGC_3129 = 658
  integer, parameter :: nGC_3128 = 659
  integer, parameter :: nGC_3126 = 660
  integer, parameter :: nGC_3125 = 661
  integer, parameter :: nGC_3073 = 662
  integer, parameter :: nGC_3074 = 663
  integer, parameter :: nGC_3075 = 664
  integer, parameter :: nGC_3112 = 665
  integer, parameter :: nGC_3113 = 666
  integer, parameter :: nGC_3106 = 667
  integer, parameter :: nGC_3107 = 668
  integer, parameter :: nGC_3122 = 669
  integer, parameter :: nGC_3123 = 670
  integer, parameter :: nGC_3105 = 671
  integer, parameter :: nGC_3104 = 672
  integer, parameter :: nGC_3096 = 673
  integer, parameter :: nGC_3095 = 674
  integer, parameter :: nGC_3077 = 675
  integer, parameter :: nGC_3078 = 676
  integer, parameter :: nGC_3079 = 677
  integer, parameter :: nGC_3183 = 678
  integer, parameter :: nGC_3181 = 679
  integer, parameter :: nGC_3182 = 680
  integer, parameter :: nGC_3167 = 681
  integer, parameter :: nGC_3165 = 682
  integer, parameter :: nGC_3166 = 683
  integer, parameter :: nGC_3176 = 684
  integer, parameter :: nGC_3174 = 685
  integer, parameter :: nGC_3175 = 686
  integer, parameter :: nGC_3071 = 687
  integer, parameter :: nGC_3070 = 688
  integer, parameter :: nGC_3069 = 689
  integer, parameter :: nGC_3068 = 690
  integer, parameter :: nGC_3208 = 691
  integer, parameter :: nGC_3207 = 692
  integer, parameter :: nGC_3206 = 693
  integer, parameter :: nGC_3211 = 694
  integer, parameter :: nGC_3212 = 695
  integer, parameter :: nGC_3202 = 696
  integer, parameter :: nGC_3201 = 697
  integer, parameter :: nGC_3203 = 698
  integer, parameter :: nGC_3193 = 699
  integer, parameter :: nGC_3194 = 700
  integer, parameter :: nGC_3195 = 701
  integer, parameter :: nGC_3091 = 702
  integer, parameter :: nGC_3090 = 703
  integer, parameter :: nGC_3089 = 704
  integer, parameter :: nGC_3088 = 705
  integer, parameter :: nGC_3184 = 706
  integer, parameter :: nGC_3190 = 707
  integer, parameter :: nGC_112 = 708
  integer, parameter :: nGC_3110 = 709
  integer, parameter :: nGC_3111 = 710
  integer, parameter :: nGC_3155 = 711
  integer, parameter :: nGC_3153 = 712
  integer, parameter :: nGC_3154 = 713
  integer, parameter :: nGC_3171 = 714
  integer, parameter :: nGC_3173 = 715
  integer, parameter :: nGC_3172 = 716
  integer, parameter :: nGC_3152 = 717
  integer, parameter :: nGC_3151 = 718
  integer, parameter :: nGC_3150 = 719
  integer, parameter :: nGC_3162 = 720
  integer, parameter :: nGC_3163 = 721
  integer, parameter :: nGC_3164 = 722
  integer, parameter :: nGC_3179 = 723
  integer, parameter :: nGC_3178 = 724
  integer, parameter :: nGC_3177 = 725
  integer, parameter :: nGC_3157 = 726
  integer, parameter :: nGC_3158 = 727
  integer, parameter :: nGC_3156 = 728
  integer, parameter :: nGC_3124 = 729
  integer, parameter :: nGC_3114 = 730
  integer, parameter :: nGC_3134 = 731
  integer, parameter :: nGC_3127 = 732
  integer, parameter :: nGC_3180 = 733
  integer, parameter :: nGC_3169 = 734
  integer, parameter :: nGC_3118 = 735
  integer, parameter :: nGC_3133 = 736
  integer, parameter :: nGC_3168 = 737
  integer, parameter :: nGC_3159 = 738
  integer, parameter :: nGC_3161 = 739
  integer, parameter :: nGC_3160 = 740
  integer, parameter :: nGC_144 = 741
  integer, parameter :: nGC_148 = 742
  integer, parameter :: nGC_152 = 743
  integer, parameter :: nGC_3519 = 744
  integer, parameter :: nGC_3522 = 745
  integer, parameter :: nGC_3521 = 746
  integer, parameter :: nGC_3524 = 747
  integer, parameter :: nGC_3525 = 748
  integer, parameter :: nGC_3528 = 749
  integer, parameter :: nGC_3527 = 750
  integer, parameter :: nGC_3530 = 751
  integer, parameter :: nGC_3533 = 752
  integer, parameter :: nGC_3534 = 753
  integer, parameter :: nGC_3532 = 754
  integer, parameter :: nGC_3109 = 755
  integer, parameter :: nGC_3103 = 756
  integer, parameter :: nGC_3537 = 757
  integer, parameter :: nGC_3540 = 758
  integer, parameter :: nGC_3146 = 759
  integer, parameter :: nGC_3135 = 760
  integer, parameter :: nGC_3543 = 761
  integer, parameter :: nGC_3546 = 762
  integer, parameter :: nGC_3083 = 763
  integer, parameter :: nGC_3080 = 764
  integer, parameter :: nGC_3549 = 765
  integer, parameter :: nGC_3552 = 766
  integer, parameter :: nGC_3108 = 767
  integer, parameter :: nGC_3554 = 768
  integer, parameter :: nGC_3139 = 769
  integer, parameter :: nGC_3557 = 770
  integer, parameter :: nGC_3082 = 771
  integer, parameter :: nGC_3560 = 772
  integer, parameter :: nGC_3185 = 773
  integer, parameter :: nGC_3192 = 774
  integer, parameter :: nGC_3576 = 775
  integer, parameter :: nGC_3579 = 776
  integer, parameter :: nGC_3087 = 777
  integer, parameter :: nGC_3099 = 778
  integer, parameter :: nGC_3582 = 779
  integer, parameter :: nGC_3585 = 780
  integer, parameter :: nGC_3200 = 781
  integer, parameter :: nGC_3589 = 782
  integer, parameter :: nGC_3092 = 783
  integer, parameter :: nGC_3592 = 784
  integer, parameter :: nGC_3467 = 785
  integer, parameter :: nGC_3468 = 786
  integer, parameter :: nGC_3469 = 787
  integer, parameter :: nGC_3470 = 788
  integer, parameter :: nGC_3471 = 789
  integer, parameter :: nGC_3472 = 790
  integer, parameter :: nGC_3473 = 791
  integer, parameter :: nGC_3474 = 792
  integer, parameter :: nGC_3475 = 793
  integer, parameter :: nGC_3476 = 794
  integer, parameter :: nGC_3477 = 795
  integer, parameter :: nGC_3478 = 796
  integer, parameter :: nGC_3479 = 797
  integer, parameter :: nGC_3480 = 798
  integer, parameter :: nGC_3481 = 799
  integer, parameter :: nGC_3482 = 800
  integer, parameter :: nGC_3483 = 801
  integer, parameter :: nGC_3484 = 802
  integer, parameter :: nGC_3485 = 803
  integer, parameter :: nGC_3487 = 804
  integer, parameter :: nGC_3488 = 805
  integer, parameter :: nGC_3489 = 806
  integer, parameter :: nGC_3490 = 807
  integer, parameter :: nGC_3491 = 808
  integer, parameter :: nGC_3492 = 809
  integer, parameter :: nGC_3493 = 810
  integer, parameter :: nGC_3494 = 811
  integer, parameter :: nGC_3495 = 812
  integer, parameter :: nGC_3496 = 813
  integer, parameter :: nGC_3497 = 814
  integer, parameter :: nGC_3498 = 815
  integer, parameter :: nGC_3499 = 816
  integer, parameter :: nGC_3500 = 817
  integer, parameter :: nGC_3501 = 818
  integer, parameter :: nGC_3502 = 819
  integer, parameter :: nGC_3503 = 820
  integer, parameter :: nGC_3504 = 821
  integer, parameter :: nGC_3505 = 822
  integer, parameter :: nGC_3506 = 823
  integer, parameter :: nGC_3507 = 824
  integer, parameter :: nGC_3508 = 825
  integer, parameter :: nGC_3509 = 826
  integer, parameter :: nGC_3510 = 827
  integer, parameter :: nGC_3511 = 828
  integer, parameter :: nGC_3512 = 829
  integer, parameter :: nGC_3513 = 830
  integer, parameter :: nGC_3514 = 831
  integer, parameter :: nGC_3515 = 832
  integer, parameter :: nGC_3516 = 833
  integer, parameter :: nGC_3517 = 834
  integer, parameter :: nGC_3518 = 835
  integer, parameter :: nGC_3565 = 836
  integer, parameter :: nGC_3566 = 837
  integer, parameter :: nGC_3567 = 838
  integer, parameter :: nGC_3568 = 839
  integer, parameter :: nGC_3569 = 840
  integer, parameter :: nGC_3570 = 841
  integer, parameter :: nGC_3571 = 842
  integer, parameter :: nGC_3572 = 843
  integer, parameter :: nGC_3573 = 844
  integer, parameter :: nGC_3586 = 845
  integer, parameter :: nGC_3587 = 846
  integer, parameter :: nGC_3594 = 847
  integer, parameter :: nGC_3614 = 848
  integer, parameter :: nGC_3615 = 849
  integer, parameter :: nGC_3616 = 850
  integer, parameter :: nGC_4854 = 851
  integer, parameter :: nGC_4859 = 852
  integer, parameter :: nGC_4860 = 853
  integer, parameter :: nGC_4863 = 854
  integer, parameter :: nGC_4864 = 855
  integer, parameter :: nGC_4876 = 856
  integer, parameter :: nGC_4880 = 857
  integer, parameter :: nGC_4884 = 858
  integer, parameter :: nGC_4885 = 859
  integer, parameter :: nGC_4886 = 860
  integer, parameter :: nGC_4892 = 861
  integer, parameter :: nGC_4893 = 862
  integer, parameter :: nGC_4894 = 863
  integer, parameter :: nGC_4903 = 864
  integer, parameter :: nGC_4904 = 865
  integer, parameter :: nGC_4912 = 866
  integer, parameter :: nGC_4913 = 867
  integer, parameter :: nGC_4914 = 868
  integer, parameter :: nGC_4927 = 869
  integer, parameter :: nGC_4928 = 870
  integer, parameter :: nGC_4931 = 871
  integer, parameter :: nGC_4932 = 872
  integer, parameter :: nGC_4939 = 873
  integer, parameter :: nGC_4943 = 874
  integer, parameter :: nGC_4944 = 875
  integer, parameter :: nGC_4948 = 876
  integer, parameter :: nGC_4949 = 877
  integer, parameter :: nGC_4953 = 878
  integer, parameter :: nGC_4954 = 879
  integer, parameter :: nGC_4964 = 880
  integer, parameter :: nGC_4965 = 881
  integer, parameter :: nGC_4969 = 882
  integer, parameter :: nGC_4970 = 883
  integer, parameter :: nGC_4974 = 884
  integer, parameter :: nGC_4975 = 885
  integer, parameter :: nGC_4984 = 886
  integer, parameter :: nGC_4987 = 887
  integer, parameter :: nGC_4988 = 888
  integer, parameter :: nGC_5000 = 889
  integer, parameter :: nGC_5007 = 890
  integer, parameter :: nGC_5011 = 891
  integer, parameter :: nGC_5018 = 892
  integer, parameter :: nGC_5022 = 893
  integer, parameter :: nGC_5027 = 894
  integer, parameter :: nGC_5031 = 895
  integer, parameter :: nGC_5035 = 896
  integer, parameter :: nGC_5039 = 897
  integer, parameter :: nGC_5043 = 898
  integer, parameter :: nGC_5047 = 899
  integer, parameter :: nGC_5051 = 900
  integer, parameter :: nGC_5055 = 901
  integer, parameter :: nGC_5059 = 902
  integer, parameter :: nGC_5062 = 903
  integer, parameter :: nGC_5065 = 904
  integer, parameter :: nGC_5069 = 905
  integer, parameter :: nGC_5073 = 906
  integer, parameter :: nGC_5090 = 907
  integer, parameter :: nGC_5093 = 908
  integer, parameter :: nGC_5098 = 909
  integer, parameter :: nGC_5101 = 910
  integer, parameter :: nGC_5109 = 911
  integer, parameter :: nGC_5112 = 912
  integer, parameter :: nGC_5152 = 913
  integer, parameter :: nGC_5156 = 914
  integer, parameter :: nGC_5160 = 915
  integer, parameter :: nGC_5170 = 916
  integer, parameter :: nGC_5171 = 917
  integer, parameter :: nGC_5172 = 918
  integer, parameter :: nGC_5178 = 919
  integer, parameter :: nGC_5179 = 920
  integer, parameter :: nGC_5180 = 921
  integer, parameter :: nGC_5181 = 922
  integer, parameter :: nGC_5190 = 923
  integer, parameter :: nGC_5191 = 924
  integer, parameter :: nGC_5197 = 925
  integer, parameter :: nGC_5198 = 926
  integer, parameter :: nGC_5199 = 927
  integer, parameter :: nGC_5200 = 928
  integer, parameter :: nGC_5209 = 929
  integer, parameter :: nGC_5210 = 930
  integer, parameter :: nGC_5216 = 931
  integer, parameter :: nGC_5217 = 932
  integer, parameter :: nGC_5218 = 933
  integer, parameter :: nGC_5219 = 934
  integer, parameter :: nGC_5228 = 935
  integer, parameter :: nGC_5229 = 936
  integer, parameter :: nGC_5230 = 937
  integer, parameter :: nGC_5240 = 938
  integer, parameter :: nGC_5241 = 939
  integer, parameter :: nGC_5242 = 940
  integer, parameter :: nGC_5243 = 941
  integer, parameter :: nGC_5269 = 942
  integer, parameter :: nGC_5270 = 943
  integer, parameter :: nGC_5276 = 944
  integer, parameter :: nGC_5277 = 945
  integer, parameter :: nGC_5278 = 946
  integer, parameter :: nGC_5279 = 947
  integer, parameter :: nGC_5288 = 948
  integer, parameter :: nGC_5289 = 949
  integer, parameter :: nGC_5290 = 950
  integer, parameter :: nGC_5300 = 951
  integer, parameter :: nGC_5301 = 952
  integer, parameter :: nGC_5302 = 953
  integer, parameter :: nGC_5303 = 954
  integer, parameter :: nGC_5344 = 955
  integer, parameter :: nGC_5345 = 956
  integer, parameter :: nGC_5346 = 957
  integer, parameter :: nGC_5359 = 958
  integer, parameter :: nGC_5360 = 959
  integer, parameter :: nGC_5373 = 960
  integer, parameter :: nGC_5374 = 961
  integer, parameter :: nGC_5387 = 962
  integer, parameter :: nGC_5388 = 963
  integer, parameter :: nGC_5401 = 964
  integer, parameter :: nGC_5402 = 965
  integer, parameter :: nGC_5413 = 966
  integer, parameter :: nGC_5422 = 967
  integer, parameter :: nGC_5437 = 968
  integer, parameter :: nGC_5440 = 969
  integer, parameter :: nGC_5443 = 970
  integer, parameter :: nGC_5452 = 971
  integer, parameter :: nGC_5456 = 972
  integer, parameter :: nGC_5460 = 973
  integer, parameter :: nGC_5472 = 974
  integer, parameter :: nGC_5473 = 975
  integer, parameter :: nGC_5474 = 976
  integer, parameter :: nGC_5475 = 977
  integer, parameter :: nGC_5486 = 978
  integer, parameter :: nGC_5487 = 979
  integer, parameter :: nGC_5488 = 980
  integer, parameter :: nGC_5489 = 981
  integer, parameter :: nGC_5501 = 982
  integer, parameter :: nGC_5502 = 983
  integer, parameter :: nGC_5503 = 984
  integer, parameter :: nGC_3536 = 985
  integer, parameter :: nGC_3539 = 986
  integer, parameter :: nGC_5516 = 987
  integer, parameter :: nGC_5517 = 988
  integer, parameter :: nGC_3542 = 989
  integer, parameter :: nGC_3545 = 990
  integer, parameter :: nGC_5530 = 991
  integer, parameter :: nGC_5531 = 992
  integer, parameter :: nGC_3548 = 993
  integer, parameter :: nGC_3551 = 994
  integer, parameter :: nGC_5544 = 995
  integer, parameter :: nGC_5545 = 996
  integer, parameter :: nGC_3555 = 997
  integer, parameter :: nGC_5554 = 998
  integer, parameter :: nGC_3553 = 999
  integer, parameter :: nGC_5555 = 1000
  integer, parameter :: nGC_5556 = 1001
  integer, parameter :: nGC_3558 = 1002
  integer, parameter :: nGC_5565 = 1003
  integer, parameter :: nGC_3556 = 1004
  integer, parameter :: nGC_5566 = 1005
  integer, parameter :: nGC_5567 = 1006
  integer, parameter :: nGC_3559 = 1007
  integer, parameter :: nGC_5576 = 1008
  integer, parameter :: nGC_3561 = 1009
  integer, parameter :: nGC_5577 = 1010
  integer, parameter :: nGC_5578 = 1011
  integer, parameter :: nGC_5592 = 1012
  integer, parameter :: nGC_5593 = 1013
  integer, parameter :: nGC_5598 = 1014
  integer, parameter :: nGC_5599 = 1015
  integer, parameter :: nGC_5604 = 1016
  integer, parameter :: nGC_5605 = 1017
  integer, parameter :: nGC_5610 = 1018
  integer, parameter :: nGC_5611 = 1019
  integer, parameter :: nGC_5616 = 1020
  integer, parameter :: nGC_5617 = 1021
  integer, parameter :: nGC_5622 = 1022
  integer, parameter :: nGC_5623 = 1023
  integer, parameter :: nGC_3575 = 1024
  integer, parameter :: nGC_3578 = 1025
  integer, parameter :: nGC_5666 = 1026
  integer, parameter :: nGC_5667 = 1027
  integer, parameter :: nGC_3581 = 1028
  integer, parameter :: nGC_3584 = 1029
  integer, parameter :: nGC_5680 = 1030
  integer, parameter :: nGC_5681 = 1031
  integer, parameter :: nGC_5686 = 1032
  integer, parameter :: nGC_5687 = 1033
  integer, parameter :: nGC_3590 = 1034
  integer, parameter :: nGC_5696 = 1035
  integer, parameter :: nGC_3588 = 1036
  integer, parameter :: nGC_5697 = 1037
  integer, parameter :: nGC_5698 = 1038
  integer, parameter :: nGC_3591 = 1039
  integer, parameter :: nGC_5707 = 1040
  integer, parameter :: nGC_3593 = 1041
  integer, parameter :: nGC_5708 = 1042
  integer, parameter :: nGC_5709 = 1043
  integer, parameter :: nGC_5714 = 1044
  integer, parameter :: nGC_5715 = 1045
  integer, parameter :: nGC_5839 = 1046
  integer, parameter :: nGC_5842 = 1047
  integer, parameter :: nGC_5845 = 1048
  integer, parameter :: nGC_5868 = 1049
  integer, parameter :: nGC_5878 = 1050
  integer, parameter :: nGC_6484 = 1051
  integer, parameter :: nGC_6503 = 1052
  integer, parameter :: nGC_6803 = 1053
  integer, parameter :: nGC_6814 = 1054
  integer, parameter :: nGC_7123 = 1055
  integer, parameter :: nGC_7267 = 1056
  integer, parameter :: nGC_3535 = 1057
  integer, parameter :: nGC_3538 = 1058
  integer, parameter :: nGC_3541 = 1059
  integer, parameter :: nGC_3544 = 1060
  integer, parameter :: nGC_3547 = 1061
  integer, parameter :: nGC_3550 = 1062
  integer, parameter :: nGC_3574 = 1063
  integer, parameter :: nGC_3577 = 1064
  integer, parameter :: nGC_3580 = 1065
  integer, parameter :: nGC_3583 = 1066
  integer, parameter :: nGC_5514 = 1067
  integer, parameter :: nGC_5515 = 1068
  integer, parameter :: nGC_5528 = 1069
  integer, parameter :: nGC_5529 = 1070
  integer, parameter :: nGC_5542 = 1071
  integer, parameter :: nGC_5543 = 1072
  integer, parameter :: nGC_5664 = 1073
  integer, parameter :: nGC_5665 = 1074
  integer, parameter :: nGC_5678 = 1075
  integer, parameter :: nGC_5679 = 1076
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
