!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 13:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_3486) = -cima*dlam_QED2
    coupl(nGC_3531) = cima*dyt_QED1
    coupl(nGC_3562) = -cima*dye_QED1
    coupl(nGC_3563) = -cima*dym_QED1
    coupl(nGC_3564) = -cima*dytau_QED1
    coupl(nGC_3595) = -cima*dMH2
    coupl(nGC_3598) = -cima*dME
    coupl(nGC_3599) = -cima*dMM
    coupl(nGC_3600) = -cima*dMTA
    coupl(nGC_3605) = -cima*dMT
    coupl(nGC_3612) = cima*dMZ2
    coupl(nGC_3613) = cima*dMW2
    coupl(nGC_GG) = cima*dt/vev
    coupl(nGC_GGH) = -cima*dt/vev**2d0
    coupl(nGC_HHH) = -3d0*cima*dt/vev**2d0
    coupl(nGC_HHGG) = -cima*dt/vev**3d0
    coupl(nGC_HHHH) = -3d0*cima*dt/vev**3d0
    coupl(nGC_GPGMGPGM) = -2d0*cima*dt/vev**3d0
    coupl(nGC_4883) = coupl(nGC_29)*dZZA
    coupl(nGC_4891) = coupl(nGC_19)*dZZA/2d0 + coupl(nGC_5)*dZAZ/2d0
    coupl(nGC_4909) = coupl(nGC_29)*dZAZ
    coupl(nGC_5113) = coupl(nGC_37)*dZZA/2d0
    coupl(nGC_5153) = coupl(nGC_46)*dZZA/2d0
    coupl(nGC_5161) = coupl(nGC_52)*dZZA/2d0
    coupl(nGC_5168) = coupl(nGC_4)*dZeMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_5169) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZeMinusR
    coupl(nGC_5173) = coupl(nGC_4)*dZAZ/2d0
    coupl(nGC_5188) = coupl(nGC_4)*dZmuMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_5189) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZmuMinusR
    coupl(nGC_5207) = coupl(nGC_4)*dZtauMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_5208) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZtauMinusR
    coupl(nGC_5220) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_5223) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_5221) = coupl(nGC_2)*dZuL_QED2
    coupl(nGC_5224) = coupl(nGC_2)*dZuR_QED2
    coupl(nGC_5222) = coupl(nGC_39)*dZZA/2d0
    coupl(nGC_5225) = coupl(nGC_35)*dZZA/2d0
    coupl(nGC_5231) = coupl(nGC_2)*dZAZ/2d0
    coupl(nGC_5235) = coupl(nGC_35)*dZuR_QED2
    coupl(nGC_5239) = coupl(nGC_39)*dZuL_QED2
    coupl(nGC_5234) = coupl(nGC_35)*dZuR_QCD2
    coupl(nGC_5238) = coupl(nGC_39)*dZuL_QCD2
    coupl(nGC_5244) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_5247) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_5245) = coupl(nGC_2)*dZcL_QED2
    coupl(nGC_5248) = coupl(nGC_2)*dZcR_QED2
    coupl(nGC_5255) = coupl(nGC_35)*dZcR_QCD2
    coupl(nGC_5259) = coupl(nGC_39)*dZcL_QCD2
    coupl(nGC_5256) = coupl(nGC_35)*dZcR_QED2
    coupl(nGC_5260) = coupl(nGC_39)*dZcL_QED2
    coupl(nGC_5267) = coupl(nGC_2)*dZtL + coupl(nGC_39)*dZZA/2d0
    coupl(nGC_5268) = coupl(nGC_2)*dZtR + coupl(nGC_35)*dZZA/2d0
    coupl(nGC_5281) = coupl(nGC_1)*dZdL_QED2
    coupl(nGC_5284) = coupl(nGC_1)*dZdR_QED2
    coupl(nGC_5280) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_5283) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_5282) = coupl(nGC_38)*dZZA/2d0
    coupl(nGC_5285) = coupl(nGC_34)*dZZA/2d0
    coupl(nGC_5291) = coupl(nGC_1)*dZAZ/2d0
    coupl(nGC_5294) = coupl(nGC_34)*dZdR_QCD2
    coupl(nGC_5298) = coupl(nGC_38)*dZdL_QCD2
    coupl(nGC_5295) = coupl(nGC_34)*dZdR_QED2
    coupl(nGC_5299) = coupl(nGC_38)*dZdL_QED2
    coupl(nGC_5305) = coupl(nGC_1)*dZsL_QED2
    coupl(nGC_5308) = coupl(nGC_1)*dZsR_QED2
    coupl(nGC_5304) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_5307) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_5316) = coupl(nGC_34)*dZsR_QED2
    coupl(nGC_5320) = coupl(nGC_38)*dZsL_QED2
    coupl(nGC_5315) = coupl(nGC_34)*dZsR_QCD2
    coupl(nGC_5319) = coupl(nGC_38)*dZsL_QCD2
    coupl(nGC_5321) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_5324) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_5322) = coupl(nGC_1)*dZbL_QED2
    coupl(nGC_5325) = coupl(nGC_1)*dZbR_QED2
    coupl(nGC_5332) = coupl(nGC_34)*dZbR_QCD2
    coupl(nGC_5336) = coupl(nGC_38)*dZbL_QCD2
    coupl(nGC_5333) = coupl(nGC_34)*dZbR_QED2
    coupl(nGC_5337) = coupl(nGC_38)*dZbL_QED2
    coupl(nGC_5338) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_5340) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_5339) = coupl(nGC_11)*dZuL_QED2
    coupl(nGC_5341) = coupl(nGC_11)*dZuR_QED2
    coupl(nGC_5353) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_5355) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_5354) = coupl(nGC_11)*dZcL_QED2
    coupl(nGC_5356) = coupl(nGC_11)*dZcR_QED2
    coupl(nGC_5368) = coupl(nGC_11)*dZdL_QED2
    coupl(nGC_5370) = coupl(nGC_11)*dZdR_QED2
    coupl(nGC_5367) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_5369) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_5381) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_5383) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_5382) = coupl(nGC_11)*dZsL_QED2
    coupl(nGC_5384) = coupl(nGC_11)*dZsR_QED2
    coupl(nGC_5396) = coupl(nGC_11)*dZbL_QED2
    coupl(nGC_5398) = coupl(nGC_11)*dZbR_QED2
    coupl(nGC_5395) = coupl(nGC_11)*dZbL_QCD2
    coupl(nGC_5397) = coupl(nGC_11)*dZbR_QCD2
    coupl(nGC_5412) = coupl(nGC_23)*(dZdL_QED2 + dZuL_QED2)/2d0
    coupl(nGC_5411) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_5416) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_5417) = coupl(nGC_23)*(dZcL_QED2 + dZsL_QED2)/2d0
    coupl(nGC_5421) = coupl(nGC_23)*dZbL_QED2/2d0
    coupl(nGC_5420) = coupl(nGC_23)*dZbL_QCD2/2d0
    coupl(nGC_5453) = coupl(nGC_41)*dZZA/2d0
    coupl(nGC_3520) = cima*dyup_QED1
    coupl(nGC_3523) = -cima*dydo_QED1
    coupl(nGC_3526) = cima*dyc_QED1
    coupl(nGC_3529) = -cima*dys_QED1
    coupl(nGC_5500) = coupl(nGC_3531) + coupl(nGC_77)*dZtR/2d0
    coupl(nGC_5492) = coupl(nGC_77)*dZbL_QED2/2d0
    coupl(nGC_5491) = coupl(nGC_77)*dZbL_QCD2/2d0
    coupl(nGC_5549) = coupl(nGC_63)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_5548) = coupl(nGC_63)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_5560) = coupl(nGC_75)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_5559) = coupl(nGC_75)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5570) = coupl(nGC_55)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_5571) = coupl(nGC_55)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_5581) = coupl(nGC_3562) + coupl(nGC_65)*dZeMinusR/2d0 + coupl(   &
                      nGC_65)*dZnu_eL/2d0
    coupl(nGC_5584) = coupl(nGC_3563) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(  &
                      nGC_69)*dZnu_muL/2d0
    coupl(nGC_5587) = coupl(nGC_3564) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl(   &
                      nGC_81)*dZtauMinusR/2d0
    coupl(nGC_5607) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_5613) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5619) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_5691) = coupl(nGC_87)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_5690) = coupl(nGC_87)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_5701) = coupl(nGC_59)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_5702) = coupl(nGC_59)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_5711) = coupl(nGC_79)*(dZtL + dZtR)/2d0
    coupl(nGC_5725) = coupl(nGC_3595) + coupl(nGC_MH)*dZH
    coupl(nGC_5724) = coupl(nGC_I)*dZH
    coupl(nGC_5726) = coupl(nGC_MI)*dZnu_eL
    coupl(nGC_5727) = coupl(nGC_MI)*dZnu_eR
    coupl(nGC_5728) = coupl(nGC_MI)*dZnu_muL
    coupl(nGC_5729) = coupl(nGC_MI)*dZnu_muR
    coupl(nGC_5730) = coupl(nGC_MI)*dZnu_tauL
    coupl(nGC_5731) = coupl(nGC_MI)*dZnu_tauR
    coupl(nGC_5734) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_5735) = coupl(nGC_MI)*dZeMinusL
    coupl(nGC_5736) = coupl(nGC_MI)*dZeMinusR
    coupl(nGC_5737) = coupl(nGC_3598) + coupl(nGC_5734)
    coupl(nGC_5740) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5741) = coupl(nGC_MI)*dZmuMinusL
    coupl(nGC_5742) = coupl(nGC_MI)*dZmuMinusR
    coupl(nGC_5743) = coupl(nGC_3599) + coupl(nGC_5740)
    coupl(nGC_5746) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_5747) = coupl(nGC_MI)*dZtauMinusL
    coupl(nGC_5748) = coupl(nGC_MI)*dZtauMinusR
    coupl(nGC_5749) = coupl(nGC_3600) + coupl(nGC_5746)
    coupl(nGC_3601) = -cima*dMU_QCD2
    coupl(nGC_5754) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_5756) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_5758) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_5760) = coupl(nGC_3601) + coupl(nGC_5754)
    coupl(nGC_3602) = -cima*dMU_QED2
    coupl(nGC_5755) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_5757) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_5759) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_5761) = coupl(nGC_3602) + coupl(nGC_5755)
    coupl(nGC_3603) = -cima*dMC_QCD2
    coupl(nGC_5766) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_5768) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_5770) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_5772) = coupl(nGC_3603) + coupl(nGC_5766)
    coupl(nGC_3604) = -cima*dMC_QED2
    coupl(nGC_5767) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_5769) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_5771) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_5773) = coupl(nGC_3604) + coupl(nGC_5767)
    coupl(nGC_5776) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
    coupl(nGC_5777) = coupl(nGC_MI)*dZtL
    coupl(nGC_5778) = coupl(nGC_MI)*dZtR
    coupl(nGC_5779) = coupl(nGC_3605) + coupl(nGC_5776)
    coupl(nGC_3606) = -cima*dMD_QCD2
    coupl(nGC_5784) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_5786) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_5788) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_5790) = coupl(nGC_3606) + coupl(nGC_5784)
    coupl(nGC_3607) = -cima*dMD_QED2
    coupl(nGC_5785) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_5787) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_5789) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_5791) = coupl(nGC_3607) + coupl(nGC_5785)
    coupl(nGC_3608) = -cima*dMS_QCD2
    coupl(nGC_5796) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5798) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_5800) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_5802) = coupl(nGC_3608) + coupl(nGC_5796)
    coupl(nGC_3609) = -cima*dMS_QED2
    coupl(nGC_5797) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_5799) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_5801) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_5803) = coupl(nGC_3609) + coupl(nGC_5797)
    coupl(nGC_3610) = -cima*dMB_QCD2
    coupl(nGC_5808) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_5810) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_5812) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_5814) = coupl(nGC_3610) + coupl(nGC_5808)
    coupl(nGC_3611) = -cima*dMB_QED2
    coupl(nGC_5809) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_5811) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_5813) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_5815) = coupl(nGC_3611) + coupl(nGC_5809)
    coupl(nGC_5816) = coupl(nGC_MI)*dZA
    coupl(nGC_5817) = -coupl(nGC_5816)
    coupl(nGC_5818) = coupl(nGC_MI)*dZAZ/2d0
    coupl(nGC_5819) = coupl(nGC_MZ)*dZZA/2d0
    coupl(nGC_5820) = coupl(nGC_MI)*dZZA/2d0
    coupl(nGC_5824) = coupl(nGC_3612) + coupl(nGC_MZ)*dZZ
    coupl(nGC_5823) = coupl(nGC_MI)*dZZ
    coupl(nGC_5825) = -coupl(nGC_5823)
    coupl(nGC_5832) = coupl(nGC_3613) + coupl(nGC_MW)*dZWMinus
    coupl(nGC_5831) = coupl(nGC_MI)*dZWMinus
    coupl(nGC_5833) = -coupl(nGC_5831)
    coupl(nGC_5834) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_5835) = -coupl(nGC_5834)
    coupl(nGC_5846) = coupl(nGC_MZ_GF)*dZZA/2d0
    coupl(nGC_7277) = -coupl(nGC_5113)
    coupl(nGC_3213) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3215) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3216) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_38)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3214) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3217) = cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(64d0*pi&
                      **2d0*Nc)
    coupl(nGC_3218) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_54)*coupl(nGC_56) - 8d0*&
                      Nc*cMC**2d0*cima*coupl(nGC_58)*coupl(nGC_60) - 8d0*Nc*cMD&
                      **2d0*cima*coupl(nGC_62)*coupl(nGC_64) - 8d0*Nc*cMS**2d0*&
                      cima*coupl(nGC_74)*coupl(nGC_76) - 8d0*Nc*cMT**2d0*cima* &
                      coupl(nGC_78)*coupl(nGC_80) - 8d0*Nc*cMU**2d0*cima*coupl(&
                      nGC_86)*coupl(nGC_88) - 8d0*cME**2d0*cima*coupl(nGC_66)* &
                      coupl(nGC_68) - cMH**2d0*cima*coupl(nGC_1410)*coupl(     &
                      nGC_37) - 8d0*cMM**2d0*cima*coupl(nGC_70)*coupl(nGC_72   &
                      ) - 8d0*cMTA**2d0*cima*coupl(nGC_82)*coupl(nGC_84) - 4d0*&
                      cMW**2d0*cima*coupl(nGC_1114)*coupl(nGC_22) - 4d0*cMW**  &
                      2d0*coupl(nGC_17) - cMZ**2d0*cima*coupl(nGC_1410)*coupl( &
                      nGC_37) - 2d0*cMZ**2d0*coupl(nGC_46))/(32d0*pi**2d0)
    coupl(nGC_3219) = cima*(4d0*Nc*coupl(nGC_54)*coupl(nGC_56) + 4d0*Nc*coupl( &
                      nGC_58)*coupl(nGC_60) + 4d0*Nc*coupl(nGC_62)*coupl(nGC_64&
                      ) + 4d0*Nc*coupl(nGC_74)*coupl(nGC_76) + 4d0*Nc*coupl(   &
                      nGC_78)*coupl(nGC_80) + 4d0*Nc*coupl(nGC_86)*coupl(nGC_88&
                      ) + 2d0*coupl(nGC_1114)*coupl(nGC_22) + coupl(nGC_1410)* &
                      coupl(nGC_37) + 4d0*coupl(nGC_66)*coupl(nGC_68) + 4d0*   &
                      coupl(nGC_70)*coupl(nGC_72) + 4d0*coupl(nGC_82)*coupl(   &
                      nGC_84))/(96d0*pi**2d0)
    coupl(nGC_3220) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_23)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_23)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_23)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_23&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_23)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_23)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_206)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_220)**2d0 +  &
                      3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 + 3d0*cMW**2d0*cima*&
                      coupl(nGC_3)**2d0 - 4d0*cMW**2d0*coupl(nGC_18) + 3d0*cMZ &
                      **2d0*cima*coupl(nGC_220)**2d0 + 3d0*cMZ**2d0*cima*coupl(&
                      nGC_25)**2d0 - 2d0*cMZ**2d0*coupl(nGC_198))/(32d0*pi**2d0&
                      )
    coupl(nGC_3221) = cima*(-2d0*Nc*coupl(nGC_23)**2d0 - coupl(nGC_206)**2d0 - &
                      coupl(nGC_220)**2d0 - 2d0*coupl(nGC_23)**2d0 - coupl(    &
                      nGC_25)**2d0 - coupl(nGC_3)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3222) = cima*(coupl(nGC_206)**2d0 + coupl(nGC_220)**2d0 + coupl( &
                      nGC_25)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi**2d0)
    coupl(nGC_3223) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc&
                      *cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMC**2d0*   &
                      cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD**2d0*cima*  &
                      coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*cima*coupl( &
                      nGC_1)*coupl(nGC_38) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*&
                      coupl(nGC_34) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                      nGC_38) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_35 &
                      ) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0&
                      *Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMU&
                      **2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*cME**2d0*cima&
                      *coupl(nGC_36)*coupl(nGC_4) + 2d0*cME**2d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_40) + 2d0*cMM**2d0*cima*coupl(nGC_36)*  &
                      coupl(nGC_4) + 2d0*cMM**2d0*cima*coupl(nGC_4)*coupl(     &
                      nGC_40) + 2d0*cMTA**2d0*cima*coupl(nGC_36)*coupl(nGC_4   &
                      ) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_40) + 3d0* &
                      cMW**2d0*cima*coupl(nGC_206)*coupl(nGC_220) + 3d0*cMW**  &
                      2d0*cima*coupl(nGC_25)*coupl(nGC_3) - 2d0*cMW**2d0*coupl(&
                      nGC_29))/(16d0*pi**2d0)
    coupl(nGC_3224) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 2d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_35  &
                      ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - coupl(nGC_206)*  &
                      coupl(nGC_220) - coupl(nGC_25)*coupl(nGC_3) - 2d0*coupl( &
                      nGC_36)*coupl(nGC_4) - 2d0*coupl(nGC_4)*coupl(nGC_40))/( &
                      32d0*pi**2d0)
    coupl(nGC_3225) = cima*(coupl(nGC_206)*coupl(nGC_220) + coupl(nGC_25)*coupl&
                      (nGC_3))/(48d0*pi**2d0)
    coupl(nGC_3226) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_55)**2d0 - 4d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_59)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_63)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_75)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_79)**2d0 - 4d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_87)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_67&
                      )**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_71)**2d0 - 4d0*cMTA &
                      **2d0*cima*coupl(nGC_83)**2d0 - cMW**2d0*cima*coupl(     &
                      nGC_1126)*coupl(nGC_20) - cMW**2d0*cima*coupl(nGC_1250)* &
                      coupl(nGC_21) - 2d0*cMW**2d0*coupl(nGC_17) - cMZ**2d0*   &
                      cima*coupl(nGC_1410)*coupl(nGC_37) - cMZ**2d0*coupl(     &
                      nGC_46) + 2d0*cima*coupl(nGC_50)**2d0 + cima*coupl(nGC_52&
                      )**2d0)/(16d0*pi**2d0)
    coupl(nGC_3227) = cima*(4d0*Nc*coupl(nGC_55)**2d0 + 4d0*Nc*coupl(nGC_59)** &
                      2d0 + 4d0*Nc*coupl(nGC_63)**2d0 + 4d0*Nc*coupl(nGC_75)** &
                      2d0 + 4d0*Nc*coupl(nGC_79)**2d0 + 4d0*Nc*coupl(nGC_87)** &
                      2d0 + coupl(nGC_1126)*coupl(nGC_20) + coupl(nGC_1250)*   &
                      coupl(nGC_21) + coupl(nGC_1410)*coupl(nGC_37) + 4d0*coupl&
                      (nGC_67)**2d0 + 4d0*coupl(nGC_71)**2d0 + 4d0*coupl(nGC_83&
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_3228) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMB** &
                      2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_57)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMD**2d0*cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_57)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_61)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_85)**2d0 - &
                      4d0*cME**2d0*cima*coupl(nGC_65)**2d0 - cMH**2d0*cima*    &
                      coupl(nGC_1126)*coupl(nGC_20) - cMH**2d0*cima*coupl(     &
                      nGC_1250)*coupl(nGC_21) - 4d0*cMM**2d0*cima*coupl(nGC_69 &
                      )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_81)**2d0 - 2d0*cMW &
                      **2d0*cima*coupl(nGC_1114)*coupl(nGC_22) - cMW**2d0*cima*&
                      coupl(nGC_1126)*coupl(nGC_20) - cMW**2d0*cima*coupl(     &
                      nGC_1250)*coupl(nGC_21) - cMW**2d0*cima*coupl(nGC_1422)**&
                      2d0 - cMW**2d0*cima*coupl(nGC_202)**2d0 - cMW**2d0*cima* &
                      coupl(nGC_4)**2d0 - cMW**2d0*cima*coupl(nGC_40)**2d0 -   &
                      8d0*cMW**2d0*coupl(nGC_17) - 2d0*cMZ**2d0*cima*coupl(    &
                      nGC_1114)*coupl(nGC_22) - cMZ**2d0*cima*coupl(nGC_1422)**&
                      2d0 - cMZ**2d0*cima*coupl(nGC_40)**2d0 - 4d0*cMZ**2d0*   &
                      coupl(nGC_45) + 8d0*cima*coupl(nGC_47)**2d0 + 8d0*cima*  &
                      coupl(nGC_51)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3229) = cima*(4d0*Nc*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(nGC_57)** &
                      2d0 + 4d0*Nc*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_73)** &
                      2d0 + 4d0*Nc*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(nGC_85)** &
                      2d0 + 2d0*coupl(nGC_1114)*coupl(nGC_22) + coupl(nGC_1126 &
                      )*coupl(nGC_20) + coupl(nGC_1250)*coupl(nGC_21) + coupl( &
                      nGC_1422)**2d0 + coupl(nGC_202)**2d0 + coupl(nGC_4)**2d0 &
                       + coupl(nGC_40)**2d0 + 4d0*coupl(nGC_65)**2d0 + 4d0*    &
                      coupl(nGC_69)**2d0 + 4d0*coupl(nGC_81)**2d0)/(192d0*pi** &
                      2d0)
    coupl(nGC_3230) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +   &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4)**&
                      2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA**2d0&
                      *cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_206&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 - 2d0*cMW** &
                      2d0*coupl(nGC_184))/(16d0*pi**2d0)
    coupl(nGC_3231) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**  &
                      2d0 - coupl(nGC_206)**2d0 - coupl(nGC_3)**2d0 - 4d0*coupl&
                      (nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3232) = cima*(coupl(nGC_206)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_3233) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB**  &
                      2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_38)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_35)**2d0 + 2d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_39)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_35)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*cME**2d0*cima*coupl(nGC_36)**2d0 + 2d0*cME**2d0*cima*&
                      coupl(nGC_40)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_36)**2d0&
                       + 2d0*cMM**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMTA**2d0* &
                      cima*coupl(nGC_36)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_40&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_220)**2d0 + 3d0*cMW &
                      **2d0*cima*coupl(nGC_25)**2d0 - 2d0*cMW**2d0*coupl(      &
                      nGC_198))/(16d0*pi**2d0)
    coupl(nGC_3234) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - 2d0*Nc*coupl(nGC_35)**&
                      2d0 - 2d0*Nc*coupl(nGC_38)**2d0 - 2d0*Nc*coupl(nGC_39)** &
                      2d0 - coupl(nGC_220)**2d0 - coupl(nGC_25)**2d0 - 2d0*    &
                      coupl(nGC_36)**2d0 - 2d0*coupl(nGC_40)**2d0 - 2d0*coupl( &
                      nGC_41)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3235) = cima*(coupl(nGC_220)**2d0 + coupl(nGC_25)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_3236) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3238) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3239) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_39)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3237) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3240) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3241) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3242) = cima*(coupl(nGC_23)**2d0 + coupl(nGC_4)**2d0 + coupl(    &
                      nGC_40)**2d0)/(16d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
