!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 13:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_3101) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3191) = cima*ee
    coupl(nGC_3094) = cima*ee/(2d0*cMW)
    coupl(nGC_3093) = cMW*cima*ee
    coupl(nGC_3145) = -ee/(4d0*cMW*sw)
    coupl(nGC_3144) = -cMW*ee/(2d0*sw)
    coupl(nGC_3143) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3140) = cMW*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3142) = -cima*ee/(4d0*cMW*sw)
    coupl(nGC_3141) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_3186) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3187) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3189) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_3188) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_3117) = -cima*cw*ee/sw
    coupl(nGC_3115) = cima*cw*ee/sw**2d0
    coupl(nGC_3116) = -cima*ee/sw
    coupl(nGC_3136) = -cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3138) = ee/(4d0*cMW*sw)
    coupl(nGC_3137) = cMW*ee/(2d0*sw)
    coupl(nGC_3147) = -cMZ*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3149) = cima*ee/(4d0*cMZ*sw)
    coupl(nGC_3148) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_3196) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3197) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3198) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3199) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_3205) = 4d0*cima*ee**2d0
    coupl(nGC_3129) = ee**2d0/sw
    coupl(nGC_3128) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3126) = -cima*ee**2d0/sw
    coupl(nGC_3125) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3074) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_3075) = -cima*ee**2d0*vev/sw
    coupl(nGC_3112) = -ee/(2d0*sw**2d0)
    coupl(nGC_3113) = ee/(2d0*sw)
    coupl(nGC_3106) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_3107) = cima*ee/(2d0*sw)
    coupl(nGC_3122) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3123) = -ee**2d0/sw
    coupl(nGC_3105) = -cima*ee/(2d0*sw)
    coupl(nGC_3104) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_3096) = cima*ee**2d0/sw**2d0
    coupl(nGC_3095) = -cima*ee**2d0/sw**3d0
    coupl(nGC_3078) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_3079) = cima*ee**2d0*vev/sw**2d0
    coupl(nGC_3183) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_3181) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_3182) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_3167) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3165) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3166) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3176) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_3174) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3175) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3071) = ee**2d0/cw
    coupl(nGC_3070) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3069) = -cima*ee**2d0/cw
    coupl(nGC_3068) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3208) = -cima*ee**2d0*vev/cw
    coupl(nGC_3207) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_3211) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3212) = -ee**2d0/cw
    coupl(nGC_3202) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3201) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3203) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_3193) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3194) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3195) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_3091) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                      2d0)
    coupl(nGC_3090) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_3089) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_3184) = -2d0*cima*ee/3d0
    coupl(nGC_3190) = cima*ee/3d0
    coupl(nGC_3110) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3111) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_3155) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_3153) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_3154) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3171) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3173) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3172) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3152) = cima*ee*sw/(3d0*cw)
    coupl(nGC_3151) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3150) = cima*ee/(3d0*cw)
    coupl(nGC_3162) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3163) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3164) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3179) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3178) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3177) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3157) = -cima*ee*sw/cw**2d0
    coupl(nGC_3158) = cima*ee*sw/cw
    coupl(nGC_3156) = cima*ee/cw
    coupl(nGC_144) = cima/(2d0*cMW)
    coupl(nGC_148) = -cima/(2d0*cMW)
    coupl(nGC_152) = 1d0/(2d0*cMZ)
    coupl(nGC_3519) = cima*dyup_QCD2_QED1
    coupl(nGC_3522) = -cima*dydo_QCD2_QED1
    coupl(nGC_3521) = cima*dyup_QED3
    coupl(nGC_3524) = -cima*dydo_QED3
    coupl(nGC_3525) = cima*dyc_QCD2_QED1
    coupl(nGC_3528) = -cima*dys_QCD2_QED1
    coupl(nGC_3527) = cima*dyc_QED3
    coupl(nGC_3530) = -cima*dys_QED3
    coupl(nGC_3533) = -cima*dyb_QED1
    coupl(nGC_3534) = -cima*dyb_QED3
    coupl(nGC_3532) = -cima*dyb_QCD2_QED1
    coupl(nGC_3537) = coupl(nGC_3109)*dydo_QED3
    coupl(nGC_3540) = coupl(nGC_3103)*dydo_QED3
    coupl(nGC_3543) = coupl(nGC_3146)*dys_QED3
    coupl(nGC_3546) = coupl(nGC_3135)*dys_QED3
    coupl(nGC_3549) = coupl(nGC_3083)*dyb_QED3
    coupl(nGC_3552) = coupl(nGC_3080)*dyb_QED3
    coupl(nGC_3554) = coupl(nGC_3108)*dydo_QED1
    coupl(nGC_3557) = coupl(nGC_3139)*dys_QED1
    coupl(nGC_3560) = coupl(nGC_3082)*dyb_QED1
    coupl(nGC_3576) = coupl(nGC_3185)*dyup_QED3
    coupl(nGC_3579) = coupl(nGC_3192)*dyup_QED3
    coupl(nGC_3582) = coupl(nGC_3087)*dyc_QED3
    coupl(nGC_3585) = coupl(nGC_3099)*dyc_QED3
    coupl(nGC_3589) = coupl(nGC_3200)*dyup_QED1
    coupl(nGC_3592) = coupl(nGC_3092)*dyc_QED1
    coupl(nGC_3467) = coupl(nGC_3072)*dZgs_QCD2
    coupl(nGC_3468) = coupl(nGC_3076)*dZgs_QCD2
    coupl(nGC_3469) = coupl(nGC_3170)*dZee
    coupl(nGC_3470) = coupl(nGC_3204)*dZee
    coupl(nGC_3471) = coupl(nGC_3119)*dsw_ + coupl(nGC_3120)*dcw_ + coupl(     &
                      nGC_3121)*dZee
    coupl(nGC_3472) = coupl(nGC_3097)*dsw_ + coupl(nGC_3098)*dZee
    coupl(nGC_3473) = coupl(nGC_3130)*dsw_ + coupl(nGC_3131)*dcw_ + coupl(     &
                      nGC_3132)*dZee
    coupl(nGC_3474) = coupl(nGC_3100)*dsw_ + coupl(nGC_3101)*dcw_ + coupl(     &
                      nGC_3102)*dZee
    coupl(nGC_3475) = coupl(nGC_3191)*dZee
    coupl(nGC_3476) = coupl(nGC_3093)*dZee + coupl(nGC_3094)*dMW2
    coupl(nGC_3477) = coupl(nGC_3143)*dsw_ + coupl(nGC_3144)*dZee + coupl(     &
                      nGC_3145)*dMW2
    coupl(nGC_3478) = coupl(nGC_3140)*dsw_ + coupl(nGC_3141)*dZee + coupl(     &
                      nGC_3142)*dMW2
    coupl(nGC_3479) = coupl(nGC_3186)*dsw_ + coupl(nGC_3187)*dcw_ + coupl(     &
                      nGC_3188)*dZee + coupl(nGC_3189)*dMW2
    coupl(nGC_3480) = coupl(nGC_3115)*dsw_ + coupl(nGC_3116)*dcw_ + coupl(     &
                      nGC_3117)*dZee
    coupl(nGC_3481) = coupl(nGC_3136)*dsw_ + coupl(nGC_3137)*dZee + coupl(     &
                      nGC_3138)*dMW2
    coupl(nGC_3482) = coupl(nGC_3147)*dsw_ + coupl(nGC_3148)*dZee + coupl(     &
                      nGC_3149)*dMZ2
    coupl(nGC_3483) = coupl(nGC_3196)*dsw_ + coupl(nGC_3197)*dcw_ + coupl(     &
                      nGC_3198)*dZee + coupl(nGC_3199)*dMZ2
    coupl(nGC_3484) = coupl(nGC_3084)*dlam_QED2
    coupl(nGC_3485) = coupl(nGC_3081)*dlam_QED2
    coupl(nGC_3487) = coupl(nGC_3209)*dlam_QED2 + coupl(nGC_3210)*dvev_QEDM1
    coupl(nGC_3488) = coupl(nGC_3085)*dlam_QED2 + coupl(nGC_3086)*dvev_QEDM1
    coupl(nGC_3489) = coupl(nGC_3205)*dZee
    coupl(nGC_3490) = coupl(nGC_3128)*dsw_ + coupl(nGC_3129)*dZee
    coupl(nGC_3491) = coupl(nGC_3125)*dsw_ + coupl(nGC_3126)*dZee
    coupl(nGC_3492) = coupl(nGC_3073)*dvev_QEDM1 + coupl(nGC_3074)*dsw_ + coupl&
                      (nGC_3075)*dZee
    coupl(nGC_3493) = coupl(nGC_3112)*dsw_ + coupl(nGC_3113)*dZee
    coupl(nGC_3494) = coupl(nGC_3106)*dsw_ + coupl(nGC_3107)*dZee
    coupl(nGC_3495) = coupl(nGC_3122)*dsw_ + coupl(nGC_3123)*dZee
    coupl(nGC_3496) = coupl(nGC_3104)*dsw_ + coupl(nGC_3105)*dZee
    coupl(nGC_3497) = coupl(nGC_3095)*dsw_ + coupl(nGC_3096)*dZee
    coupl(nGC_3498) = coupl(nGC_3077)*dvev_QEDM1 + coupl(nGC_3078)*dsw_ + coupl&
                      (nGC_3079)*dZee
    coupl(nGC_3499) = coupl(nGC_3181)*dsw_ + coupl(nGC_3182)*dcw_ + coupl(     &
                      nGC_3183)*dZee
    coupl(nGC_3500) = coupl(nGC_3165)*dsw_ + coupl(nGC_3166)*dcw_ + coupl(     &
                      nGC_3167)*dZee
    coupl(nGC_3501) = coupl(nGC_3174)*dsw_ + coupl(nGC_3175)*dcw_ + coupl(     &
                      nGC_3176)*dZee
    coupl(nGC_3502) = coupl(nGC_3070)*dcw_ + coupl(nGC_3071)*dZee
    coupl(nGC_3503) = coupl(nGC_3068)*dcw_ + coupl(nGC_3069)*dZee
    coupl(nGC_3504) = coupl(nGC_3206)*dvev_QEDM1 + coupl(nGC_3207)*dcw_ + coupl&
                      (nGC_3208)*dZee
    coupl(nGC_3505) = coupl(nGC_3211)*dcw_ + coupl(nGC_3212)*dZee
    coupl(nGC_3506) = coupl(nGC_3201)*dsw_ + coupl(nGC_3202)*dcw_ + coupl(     &
                      nGC_3203)*dZee
    coupl(nGC_3507) = coupl(nGC_3193)*dsw_ + coupl(nGC_3194)*dcw_ + coupl(     &
                      nGC_3195)*dZee
    coupl(nGC_3508) = coupl(nGC_3088)*dvev_QEDM1 + coupl(nGC_3089)*dsw_ + coupl&
                      (nGC_3090)*dcw_ + coupl(nGC_3091)*dZee
    coupl(nGC_3509) = coupl(nGC_3184)*dZee
    coupl(nGC_3510) = coupl(nGC_3190)*dZee
    coupl(nGC_3511) = coupl(nGC_112)*dZgs_QCD2
    coupl(nGC_3512) = coupl(nGC_3110)*dsw_ + coupl(nGC_3111)*dZee
    coupl(nGC_3513) = coupl(nGC_3153)*dsw_ + coupl(nGC_3154)*dcw_ + coupl(     &
                      nGC_3155)*dZee
    coupl(nGC_3514) = coupl(nGC_3171)*dsw_ + coupl(nGC_3172)*dcw_ + coupl(     &
                      nGC_3173)*dZee
    coupl(nGC_3515) = coupl(nGC_3150)*dsw_ + coupl(nGC_3151)*dcw_ + coupl(     &
                      nGC_3152)*dZee
    coupl(nGC_3516) = coupl(nGC_3162)*dsw_ + coupl(nGC_3163)*dcw_ + coupl(     &
                      nGC_3164)*dZee
    coupl(nGC_3517) = coupl(nGC_3177)*dsw_ + coupl(nGC_3178)*dcw_ + coupl(     &
                      nGC_3179)*dZee
    coupl(nGC_3518) = coupl(nGC_3156)*dsw_ + coupl(nGC_3157)*dcw_ + coupl(     &
                      nGC_3158)*dZee
    coupl(nGC_3565) = coupl(nGC_3124)*dye_QED1
    coupl(nGC_3566) = coupl(nGC_3114)*dye_QED1
    coupl(nGC_3567) = coupl(nGC_3134)*dym_QED1
    coupl(nGC_3568) = coupl(nGC_3127)*dym_QED1
    coupl(nGC_3569) = coupl(nGC_3180)*dytau_QED1
    coupl(nGC_3570) = coupl(nGC_3169)*dytau_QED1
    coupl(nGC_3571) = coupl(nGC_3118)*dye_QED1
    coupl(nGC_3572) = coupl(nGC_3133)*dym_QED1
    coupl(nGC_3573) = coupl(nGC_3168)*dytau_QED1
    coupl(nGC_3586) = coupl(nGC_3159)*dyt_QED1
    coupl(nGC_3587) = coupl(nGC_3161)*dyt_QED1
    coupl(nGC_3594) = coupl(nGC_3160)*dyt_QED1
    coupl(nGC_3614) = coupl(nGC_144)*dMW2
    coupl(nGC_3615) = coupl(nGC_148)*dMW2
    coupl(nGC_3616) = coupl(nGC_152)*dMZ2
    coupl(nGC_4854) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3467)
    coupl(nGC_4859) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3468)
    coupl(nGC_4860) = -2d0*coupl(nGC_4859)
    coupl(nGC_4863) = 2d0*coupl(nGC_4859)
    coupl(nGC_4864) = -coupl(nGC_4859)
    coupl(nGC_4876) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3)*dZWMinus + coupl(nGC_3469)
    coupl(nGC_4880) = coupl(nGC_25)*dZWMinus + coupl(nGC_25)*dZZ/2d0 + coupl(  &
                      nGC_3)*dZAZ/2d0 + coupl(nGC_3471)
    coupl(nGC_4884) = coupl(nGC_3470) + coupl(nGC_5)*dZA + coupl(nGC_5)*dZWMinus
    coupl(nGC_4885) = -coupl(nGC_4883)/2d0 + coupl(nGC_4884)
    coupl(nGC_4886) = coupl(nGC_4883) - 2d0*coupl(nGC_4884)
    coupl(nGC_4892) = coupl(nGC_29)*dZA/2d0 + coupl(nGC_29)*dZWMinus + coupl(  &
                      nGC_29)*dZZ/2d0 + coupl(nGC_3473)
    coupl(nGC_4893) = coupl(nGC_4891) - coupl(nGC_4892)/2d0
    coupl(nGC_4894) = -2d0*coupl(nGC_4891) + coupl(nGC_4892)
    coupl(nGC_4903) = 2d0*coupl(nGC_18)*dZWMinus + coupl(nGC_3472)
    coupl(nGC_4904) = -2d0*coupl(nGC_4903)
    coupl(nGC_4912) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ + coupl(      &
                      nGC_3474)
    coupl(nGC_4913) = coupl(nGC_4909) - 2d0*coupl(nGC_4912)
    coupl(nGC_4914) = -coupl(nGC_4909)/2d0 + coupl(nGC_4912)
    coupl(nGC_4927) = coupl(nGC_3475) + coupl(nGC_4)*dZWMinus/2d0
    coupl(nGC_4928) = -coupl(nGC_4927)
    coupl(nGC_4931) = coupl(nGC_3)*dZWMinus/2d0 + coupl(nGC_3469)
    coupl(nGC_4932) = -coupl(nGC_4931)
    coupl(nGC_4939) = coupl(nGC_31)*dZH/2d0 + coupl(nGC_3478)
    coupl(nGC_4943) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3469)
    coupl(nGC_4944) = -coupl(nGC_4943)
    coupl(nGC_4948) = coupl(nGC_25)*dZZ/2d0 + coupl(nGC_3)*dZAZ/2d0 + coupl(   &
                      nGC_3471)
    coupl(nGC_4949) = -coupl(nGC_4948)
    coupl(nGC_4953) = coupl(nGC_24)*dZWMinus/2d0 + coupl(nGC_3480)
    coupl(nGC_4954) = -coupl(nGC_4953)
    coupl(nGC_4964) = coupl(nGC_24)*dZZA/2d0 + coupl(nGC_3475) + coupl(nGC_4)* &
                      dZA/2d0
    coupl(nGC_4965) = -coupl(nGC_4964)
    coupl(nGC_4969) = coupl(nGC_24)*dZZ/2d0 + coupl(nGC_3480) + coupl(nGC_4)*  &
                      dZAZ/2d0
    coupl(nGC_4970) = -coupl(nGC_4969)
    coupl(nGC_4974) = coupl(nGC_25)*dZWMinus/2d0 + coupl(nGC_3471)
    coupl(nGC_4975) = -coupl(nGC_4974)
    coupl(nGC_4984) = coupl(nGC_3483) + coupl(nGC_44)*dZH/2d0
    coupl(nGC_4987) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3467)
    coupl(nGC_4988) = -coupl(nGC_4987)
    coupl(nGC_5000) = coupl(nGC_13)*dZH + coupl(nGC_3485)
    coupl(nGC_5007) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_3484)
    coupl(nGC_5011) = coupl(nGC_3487) + coupl(nGC_48)*dZH/2d0
    coupl(nGC_5018) = coupl(nGC_3488) + 3d0*coupl(nGC_49)*dZH/2d0
    coupl(nGC_5022) = coupl(nGC_3489) + coupl(nGC_42)*dZZA + coupl(nGC_6)*dZA
    coupl(nGC_5027) = coupl(nGC_3499) + coupl(nGC_42)*dZA/2d0 + coupl(nGC_42)* &
                      dZZ/2d0 + coupl(nGC_45)*dZZA/2d0 + coupl(nGC_6)*dZAZ/2d0
    coupl(nGC_5031) = coupl(nGC_3475) + coupl(nGC_4)*dZA/2d0 + coupl(nGC_40)*  &
                      dZZA/2d0
    coupl(nGC_5035) = coupl(nGC_3501) + coupl(nGC_4)*dZAZ/2d0 + coupl(nGC_40)* &
                      dZZ/2d0
    coupl(nGC_5039) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZWMinus/2d0 +     &
                      coupl(nGC_3490) + coupl(nGC_9)*dZZA/2d0
    coupl(nGC_5043) = coupl(nGC_28)*dZAZ/2d0 + coupl(nGC_3502) + coupl(nGC_9)* &
                      dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0
    coupl(nGC_5047) = coupl(nGC_27)*dZA/2d0 + coupl(nGC_27)*dZH/2d0 + coupl(   &
                      nGC_27)*dZWMinus/2d0 + coupl(nGC_3491) + coupl(nGC_8)*   &
                      dZZA/2d0
    coupl(nGC_5051) = coupl(nGC_27)*dZAZ/2d0 + coupl(nGC_3503) + coupl(nGC_8)* &
                      dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 + coupl(nGC_8)*dZZ/  &
                      2d0
    coupl(nGC_5055) = coupl(nGC_3492) + coupl(nGC_47)*dZZA/2d0 + coupl(nGC_51)*&
                      dZA/2d0 + coupl(nGC_51)*dZWMinus/2d0
    coupl(nGC_5059) = coupl(nGC_3504) + coupl(nGC_47)*dZWMinus/2d0 + coupl(    &
                      nGC_47)*dZZ/2d0 + coupl(nGC_51)*dZAZ/2d0
    coupl(nGC_5062) = coupl(nGC_22)*dZWMinus/2d0 + coupl(nGC_3493)
    coupl(nGC_5065) = coupl(nGC_21)*dZH/2d0 + coupl(nGC_21)*dZWMinus/2d0 +     &
                      coupl(nGC_3494)
    coupl(nGC_5069) = coupl(nGC_26)*dZA/2d0 + coupl(nGC_26)*dZWMinus/2d0 +     &
                      coupl(nGC_3495) + coupl(nGC_7)*dZZA/2d0
    coupl(nGC_5073) = coupl(nGC_26)*dZAZ/2d0 + coupl(nGC_3505) + coupl(nGC_7)* &
                      dZWMinus/2d0 + coupl(nGC_7)*dZZ/2d0
    coupl(nGC_5090) = coupl(nGC_20)*dZH/2d0 + coupl(nGC_20)*dZWMinus/2d0 +     &
                      coupl(nGC_3496)
    coupl(nGC_5093) = coupl(nGC_17)*dZWMinus + coupl(nGC_3497)
    coupl(nGC_5098) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(      &
                      nGC_3497)
    coupl(nGC_5101) = coupl(nGC_3498) + coupl(nGC_50)*dZH/2d0 + coupl(nGC_50)* &
                      dZWMinus
    coupl(nGC_5109) = coupl(nGC_3507) + coupl(nGC_42)*dZAZ + coupl(nGC_45)*dZZ
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
