!******************************************************************************!
!                                                                              !
!    ctparameter31.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter31.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 13:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter31
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter31()
  if (dMD_QED2_scheme .eq. 0) then
    dMD_QED2 = (2d0*Ten56*cMD*coupl(nGC_1)**2d0 - 2d0*Ten57*cMD*coupl(nGC_1)** &
               2d0 + Ten58*cMD*(8d0*coupl(nGC_34)*coupl(nGC_38) - coupl(nGC_62 &
               )**2d0 - coupl(nGC_64)**2d0)/2d0 - Ten59*cMD*coupl(nGC_63)**2d0 &
                - Ten60*cMU*coupl(nGC_61)*coupl(nGC_85) + Ten61*cMD*(coupl(    &
               nGC_34)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_62)*coupl(nGC_64  &
               )) + Ten62*cMD*coupl(nGC_63)**2d0 + Ten63*cMD*(2d0*coupl(nGC_23 &
               )**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_85)**2d0)/2d0 + pi**2d0 &
               *(-cMD*coupl(nGC_1)**2d0/pi**2d0 + cMD*coupl(nGC_23)**2d0/(2d0* &
               pi**2d0) + cMD*coupl(nGC_34)**2d0/(2d0*pi**2d0) - 2d0*cMD*coupl(&
               nGC_34)*coupl(nGC_38)/pi**2d0 + cMD*coupl(nGC_38)**2d0/(2d0*pi**&
               2d0)))/(16d0*pi**2d0)
    dMD_QED2 = cone*real(dMD_QED2,kind=dp)
  end if 
end subroutine set_ctparameter31
end module ctparameter31
