!******************************************************************************!
!                                                                              !
!    ctparameter64.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter64.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 13:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter64
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter64()
  if (dZsL_QED2_scheme .eq. 0) then
    dZsL_QED2 = (2d0*Ten108*coupl(nGC_1)**2d0 + 2d0*Ten109*coupl(nGC_1)**2d0 + &
                Ten112*coupl(nGC_75)**2d0 + Ten113*(-2d0*coupl(nGC_38)**2d0 -  &
                coupl(nGC_74)*coupl(nGC_76)) + Ten114*(-2d0*coupl(nGC_23)**2d0 &
                 - coupl(nGC_57)**2d0) + Ten115*coupl(nGC_75)**2d0 + Ten116*cMS&
                **2d0*(-8d0*coupl(nGC_34)*coupl(nGC_38) + coupl(nGC_74)**2d0 + &
                coupl(nGC_76)**2d0) - 4d0*Ten117*cMS**2d0*coupl(nGC_1)**2d0 +  &
                2d0*Ten118*cMC*cMS*coupl(nGC_57)*coupl(nGC_73) + 4d0*Ten119*cMS&
                **2d0*coupl(nGC_75)**2d0 + 2d0*Ten120*cMS**2d0*(-coupl(nGC_34  &
                )**2d0 - coupl(nGC_38)**2d0 - coupl(nGC_74)*coupl(nGC_76)) +   &
                4d0*Ten121*cMS**2d0*coupl(nGC_1)**2d0 + Ten122*cMS**2d0*(-2d0* &
                coupl(nGC_23)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_73)**2d0   &
                ) + 2d0*Ten123*cMS**2d0*coupl(nGC_75)**2d0 + pi**2d0*(-coupl(  &
                nGC_1)**2d0/pi**2d0 - coupl(nGC_23)**2d0/pi**2d0 - coupl(nGC_38&
                )**2d0/pi**2d0))/(16d0*pi**2d0)
    dZsL_QED2 = cone*real(dZsL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter64
end module ctparameter64
