!******************************************************************************!
!                                                                              !
!    ctparameter70.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter70.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 13:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter70
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter70()
  if (dMS_QED2_scheme .eq. 0) then
    dMS_QED2 = (2d0*Ten108*cMS*coupl(nGC_1)**2d0 - 2d0*Ten109*cMS*coupl(nGC_1  &
               )**2d0 + Ten110*cMS*(8d0*coupl(nGC_34)*coupl(nGC_38) - coupl(   &
               nGC_74)**2d0 - coupl(nGC_76)**2d0)/2d0 - Ten111*cMC*coupl(nGC_57&
               )*coupl(nGC_73) - 2d0*Ten112*cMS*coupl(nGC_75)**2d0 + Ten113*cMS&
               *(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_74)*coupl(&
               nGC_76)) + Ten114*cMS*(2d0*coupl(nGC_23)**2d0 + coupl(nGC_57)** &
               2d0 + coupl(nGC_73)**2d0)/2d0 - Ten115*cMS*coupl(nGC_75)**2d0 + &
               pi**2d0*(-cMS*coupl(nGC_1)**2d0/pi**2d0 + cMS*coupl(nGC_23)**2d0&
               /(2d0*pi**2d0) + cMS*coupl(nGC_34)**2d0/(2d0*pi**2d0) - 2d0*cMS*&
               coupl(nGC_34)*coupl(nGC_38)/pi**2d0 + cMS*coupl(nGC_38)**2d0/(  &
               2d0*pi**2d0)))/(16d0*pi**2d0)
    dMS_QED2 = cone*real(dMS_QED2,kind=dp)
  end if 
end subroutine set_ctparameter70
end module ctparameter70
