!******************************************************************************!
!                                                                              !
!    derived_ctparameter.f90                                                   !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   derived_ctparameter.f90                        |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 13:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module derived_ctparameter
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_derived_ctparameter()
  dydo_QED1 = sqrt(2d0)*cMD*gw*(2d0*cMW**2d0*dZee*sw**2d0 - 2d0*dMW2*sw**2d0 + &
              dMW2 - dMZ2*sw**4d0 + 2d0*dMZ2*sw**2d0 - dMZ2)/(4d0*cMW**3d0*sw**&
              2d0)
  dydo_QED3 = sqrt(2d0)*dMD_QED2*gw/(2d0*cMW)
  dydo_QCD2_QED1 = sqrt(2d0)*dMD_QCD2*gw/(2d0*cMW)
  dgw_QED1 = gw*(2d0*cMW**2d0*dZee*sw**2d0 - cw**4d0*dMZ2 + cw**2d0*dMW2)/(2d0*&
             cMW**2d0*sw**2d0)
  dmuH2_ = dMH2/2d0
  dsw2_ = cw**2d0*(cw**2d0*dMZ2 - dMW2)/cMW**2d0
  dsw_ = cw**2d0*(cw**2d0*dMZ2 - dMW2)/(2d0*cMW**2d0*sw)
  dyc_QED3 = sqrt(2d0)*dMC_QED2*gw/(2d0*cMW)
  dyc_QED1 = sqrt(2d0)*cMC*gw*(2d0*cMW**2d0*dZee*sw**2d0 - 2d0*dMW2*sw**2d0 +  &
             dMW2 - dMZ2*sw**4d0 + 2d0*dMZ2*sw**2d0 - dMZ2)/(4d0*cMW**3d0*sw** &
             2d0)
  dyc_QCD2_QED1 = sqrt(2d0)*dMC_QCD2*gw/(2d0*cMW)
  dcw_ = cw*(-cw**2d0*dMZ2 + dMW2)/(2d0*cMW**2d0)
  dys_QED3 = sqrt(2d0)*dMS_QED2*gw/(2d0*cMW)
  dys_QED1 = sqrt(2d0)*cMS*gw*(2d0*cMW**2d0*dZee*sw**2d0 - 2d0*dMW2*sw**2d0 +  &
             dMW2 - dMZ2*sw**4d0 + 2d0*dMZ2*sw**2d0 - dMZ2)/(4d0*cMW**3d0*sw** &
             2d0)
  dys_QCD2_QED1 = sqrt(2d0)*dMS_QCD2*gw/(2d0*cMW)
  dyt_QED1 = sqrt(2d0)*gw*(2d0*cMT*cMW**2d0*dZee*sw**2d0 - 2d0*cMT*dMW2*sw**2d0&
              + cMT*dMW2 - cMT*dMZ2*sw**4d0 + 2d0*cMT*dMZ2*sw**2d0 - cMT*dMZ2  &
              + 2d0*cMW**2d0*dMT*sw**2d0)/(4d0*cMW**3d0*sw**2d0)
  dlam_QED2 = gw**2d0*(2d0*cMH**2d0*cMW**2d0*dZee*sw**2d0 - 2d0*cMH**2d0*dMW2* &
              sw**2d0 + cMH**2d0*dMW2 - cMH**2d0*dMZ2*sw**4d0 + 2d0*cMH**2d0*  &
              dMZ2*sw**2d0 - cMH**2d0*dMZ2 + cMW**2d0*dMH2*sw**2d0)/(2d0*cMW** &
              4d0*sw**2d0)
  dyup_QED1 = sqrt(2d0)*cMU*gw*(2d0*cMW**2d0*dZee*sw**2d0 - 2d0*dMW2*sw**2d0 + &
              dMW2 - dMZ2*sw**4d0 + 2d0*dMZ2*sw**2d0 - dMZ2)/(4d0*cMW**3d0*sw**&
              2d0)
  dyup_QCD2_QED1 = sqrt(2d0)*dMU_QCD2*gw/(2d0*cMW)
  dyup_QED3 = sqrt(2d0)*dMU_QED2*gw/(2d0*cMW)
  dvev_QEDM1 = (2d0*cMW**2d0*cw**2d0*dZee - 2d0*cMW**2d0*dZee + cw**4d0*dMZ2 - &
               2d0*cw**2d0*dMW2 + dMW2)/(cMW*gw*sw**2d0)
  dym_QED1 = sqrt(2d0)*gw*(2d0*cMM*cMW**2d0*dZee*sw**2d0 - 2d0*cMM*dMW2*sw**2d0&
              + cMM*dMW2 - cMM*dMZ2*sw**4d0 + 2d0*cMM*dMZ2*sw**2d0 - cMM*dMZ2  &
              + 2d0*cMW**2d0*dMM*sw**2d0)/(4d0*cMW**3d0*sw**2d0)
  dyb_QCD2_QED1 = sqrt(2d0)*dMB_QCD2*gw/(2d0*cMW)
  dyb_QED3 = sqrt(2d0)*dMB_QED2*gw/(2d0*cMW)
  dyb_QED1 = sqrt(2d0)*cMB*gw*(2d0*cMW**2d0*dZee*sw**2d0 - 2d0*dMW2*sw**2d0 +  &
             dMW2 - dMZ2*sw**4d0 + 2d0*dMZ2*sw**2d0 - dMZ2)/(4d0*cMW**3d0*sw** &
             2d0)
  dytau_QED1 = sqrt(2d0)*gw*(2d0*cMTA*cMW**2d0*dZee*sw**2d0 - 2d0*cMTA*dMW2*sw &
               **2d0 + cMTA*dMW2 - cMTA*dMZ2*sw**4d0 + 2d0*cMTA*dMZ2*sw**2d0 - &
               cMTA*dMZ2 + 2d0*cMW**2d0*dMTA*sw**2d0)/(4d0*cMW**3d0*sw**2d0)
  dg1_QED1 = gw*sw*(-2d0*cMW**2d0*dZee - cw**2d0*dMZ2 + dMW2)/(4d0*cMW**2d0*cw)
  dye_QED1 = sqrt(2d0)*gw*(2d0*cME*cMW**2d0*dZee*sw**2d0 - 2d0*cME*dMW2*sw**2d0&
              + cME*dMW2 - cME*dMZ2*sw**4d0 + 2d0*cME*dMZ2*sw**2d0 - cME*dMZ2  &
              + 2d0*cMW**2d0*dME*sw**2d0)/(4d0*cMW**3d0*sw**2d0)
end subroutine set_derived_ctparameter
end module derived_ctparameter
