!******************************************************************************!
!                                                                              !
!    tcVVVV.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcVVVV.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 13:16             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcVVVV
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30, x31, x32, x33, x34
  contains
    subroutine treeVVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, &
    wout, last, VB_last)
      use class_vertices
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
      complex(kind=dp), intent(in), dimension(0:3) :: w2
      complex(kind=dp), intent(in), dimension(0:3) :: P3, PL3
      complex(kind=dp), intent(in), dimension(0:3) :: w3
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(VVVV0)
!       Metric(1,4)*Metric(2,3)*c0
!       Metric(1,3)*Metric(2,4)*c1
!       Metric(1,2)*Metric(3,4)*c2
        if (last) VB_last = .true.
        wout = co(0)*w1(:)*(-w2(0)*w3(0) + w2(1)*w3(1) + w2(2)*w3(2) + w2(3)*w3&
               (3)) + co(1)*w2(:)*(-w1(0)*w3(0) + w1(1)*w3(1) + w1(2)*w3(2) +  &
               w1(3)*w3(3)) + co(2)*w3(:)*(-w1(0)*w2(0) + w1(1)*w2(1) + w1(2)* &
               w2(2) + w1(3)*w2(3))
      case(VVVV1)
!       Metric(1,4)*Metric(2,3)*c0
!       Metric(1,3)*Metric(2,4)*c1
!       Metric(1,2)*Metric(3,4)*c2
!       Epsilon(1,2,3,4)*c3
        if (last) VB_last = .true.
        x0 = w2(1)*w3(1)
        x1 = w2(2)*w3(2)
        x2 = w2(3)*w3(3)
        x3 = w2(0)*w3(0)
        x4 = co(0)*(x0 + x1 + x2 - x3)
        x5 = w1(1)*w3(1)
        x6 = w1(2)*w3(2)
        x7 = w1(3)*w3(3)
        x8 = w1(0)*w3(0)
        x9 = co(1)*(x5 + x6 + x7 - x8)
        x10 = w1(1)*w2(1)
        x11 = co(2)*w3(0)
        x12 = w1(2)*w2(2)
        x13 = w1(3)*w2(3)
        x14 = w1(1)*w2(3)
        x15 = co(3)*w3(2)
        x16 = w2(1)*w3(3)
        x17 = co(3)*w1(2)
        x18 = w1(3)*w3(1)
        x19 = co(3)*w2(2)
        x20 = w1(1)*w3(3)
        x21 = w2(3)*w3(1)
        x22 = w1(3)*w2(1)
        x23 = co(2)*w3(1)
        x24 = w1(0)*x15
        x25 = w2(0)*x17
        x26 = w3(0)*x19
        x27 = w1(0)*w2(0)
        x28 = w1(0)*x19
        x29 = w3(0)*x17
        x30 = w2(0)*x15
        x31 = co(1)*w2(2)
        x32 = w1(2)*x1
        x33 = co(2)*w3(2)
        x34 = co(1)*w2(3)
        wout(0) = -co(2)*w1(0)*x3 + w1(0)*x4 + w2(0)*x9 + x10*x11 + x11*x12 +  &
                  x11*x13 + x14*x15 - x15*x22 + x16*x17 - x17*x21 + x18*x19 -  &
                  x19*x20
        wout(1) = co(2)*w1(1)*x0 + w1(1)*x4 + w1(3)*x26 - w1(3)*x30 + w2(1)*x9 &
                   + w2(3)*x24 - w2(3)*x29 + w3(3)*x25 - w3(3)*x28 + x12*x23 + &
                  x13*x23 - x23*x27
        wout(2) = co(1)*x32 + co(2)*x32 + co(3)*(w1(0)*x16 - w1(0)*x21 + w2(0)*&
                  x18 - w2(0)*x20 + w3(0)*x14 - w3(0)*x22) + w1(2)*x4 + x10*x33&
                   + x13*x33 - x27*x33 + x31*x5 + x31*x7 - x31*x8
        wout(3) = co(1)*w1(3)*x2 + co(2)*w3(3)*(x10 + x12 + x13 - x27) - w1(1)*&
                  x26 + w1(1)*x30 + w1(3)*x4 - w2(1)*x24 + w2(1)*x29 - w3(1)*  &
                  x25 + w3(1)*x28 + x34*x5 + x34*x6 - x34*x8
      end select 
    end subroutine treeVVVV
end module tcVVVV
